(
	function( $ ) {
		'use strict';

		$.fn.MakeaholicAccordion = function() {
			var $el;

			function reLayoutComponentsInTab( currentTab ) {
				var $sliders = currentTab.find( '.swiper' );

				if ( $sliders.length > 0 ) {
					$sliders.each( function() {
						if ( $( this )[ 0 ].swiper ) {
							$( this )[ 0 ].swiper.update();
						}
					} );
				}

				var $grids = currentTab.find( '.makeaholic-grid-wrapper' );

				if ( $grids.length > 0 ) {
					$grids.MakeaholicGridLayout( 'calculateMasonrySize' );
				}
			}

			return this.each( function() {
				var $el = $( this );
				var settings = $el.data( 'settings' );

				// Do it only on front-end.
				$el.children( '.accordion-section.active' ).children( '.accordion-content' ).css( 'display', 'block' );

				$el.on( 'click', '.accordion-header', function( e ) {
					e = e || window.event;
					e.preventDefault();
					e.stopPropagation();

					var speed = 300;

					var section = $( this ).parent( '.accordion-section' );
					if ( section.hasClass( 'active' ) ) {
						section.removeClass( 'active' );
						section.children( '.accordion-content' ).slideUp( speed, function() {
							$( document ).trigger( 'MakeaholicAccordionChange', [ $el, section ] );
						} );
					} else {
						var parent = section.parent( '.makeaholic-accordion' ).first();
						if ( ! parent.data( 'multi-open' ) ) {
							parent.children( '.active' )
							      .removeClass( 'active' )
							      .children( '.accordion-content' )
							      .slideUp( speed );
						}
						section.addClass( 'active' );
						section.children( '.accordion-content' ).slideDown( speed, function() {
							$( document ).trigger( 'MakeaholicAccordionChange', [ $el, section ] );
						} );
					}


				} );

				/*$( document ).on( 'MakeaholicAccordionChange', function( e, tabPanel, currentTab ) {
					reLayoutComponentsInTab( currentTab );
				} );*/
			} );
		};
	}( jQuery )
);

jQuery( document ).ready( function( $ ) {
	'use strict';

	$( '.makeaholic-accordion' ).MakeaholicAccordion();
} );
