(
	function( $ ) {
		'use strict';

		$( document ).ready( function() {
			initProductImagesSlider();

			quantityDiscount();

			initSingleStickyAddToCartForm();

			uploadAttachmentHandler();

			toggleWcTabs();
		} );

		function initProductImagesSlider() {
			if ( ! $makeaholic.isSingle || 'product' !== $makeaholic.postType || $makeaholic.productFeatureStyle !== 'slider' ) {
				return;
			}

			var $sliderWrap = $( '#woo-single-info' ).find( '.woo-single-gallery' );

			var options = {};
			if ( $sliderWrap.hasClass( 'has-thumbs-slider' ) ) {
				var thumbsSlider = $sliderWrap.children( '.makeaholic-thumbs-swiper' ).MakeaholicSwiper();
				options = {
					thumbs: {
						swiper: thumbsSlider
					}
				};
			}
			var mainSlider = $sliderWrap.children( '.makeaholic-main-swiper' ).MakeaholicSwiper( options );
			var $form = $( '.variations_form' );
			var variations = $form.data( 'product_variations' );

			$form.find( 'select' ).on( 'change', function() {
				var isFieldSelected = true;
				var needReset = false;
				var globalAttrs = {};

				var formValues = $form.serializeArray();

				// Check all attributes selected.
				for ( var i = 0; i < formValues.length; i ++ ) {

					var _name = formValues[ i ].name;

					if ( _name.substring( 0, 10 ) === 'attribute_' ) {

						globalAttrs[ _name ] = formValues[ i ].value;

						if ( formValues[ i ].value === '' ) {
							isFieldSelected = false;

							break;
						}
					}
				}

				if ( isFieldSelected === true ) {
					// Convert to array.
					var selectedAttributes = Object.entries( globalAttrs );

					var variationImageID = 0;
					var minMatch = 0;

					for ( var i = variations.length - 1; i >= 0; i -- ) {
						var currentVariation = variations[ i ];
						var currentAttributes = Object.entries( currentVariation.attributes ); // Convert to array.
						var loopMatch = 0;

						// Compare selected variation with all variations to find best matches.
						currentAttributes.forEach( ( [ key, value ] ) => {
							selectedAttributes.forEach( ( [ selectedKey, selectedValue ] ) => {

								if ( selectedKey === key ) {
									if ( selectedValue === value
									     || '' === value // Any Terms.
									) {
										loopMatch ++;
									}
								}
							} );
						} );

						if ( minMatch < loopMatch ) {
							minMatch = loopMatch;
							variationImageID = currentVariation.image_id;
						}
					}

					if ( variationImageID ) {
						$(mainSlider.$wrapperEl[0]).find( '.swiper-slide' ).each( function( index ) {
							var slideImageID = $( this ).attr( 'data-image-id' );
							slideImageID = parseInt( slideImageID );

							if ( slideImageID === variationImageID ) {
								mainSlider.slideTo( index );

								return false;
							}
						} );
					} else {
						needReset = true;
					}
				} else {
					needReset = true;
				}

				// Reset to main image.
				if ( needReset ) {
					var $mainImage = mainSlider.$wrapperEl.find( '.product-main-image' );
					var index = $mainImage.index();
					mainSlider.slideTo( index );
				}
			} );
		}

		function quantityDiscount() {
			$( '.quantity-discount-table' ).on( 'change', 'input[name="quantity_discount"]', function() {
				var newQuantity = $( this ).val();

				var $productSummary = $( '#woo-single-info' );
				var $qty = $productSummary.find( '.quantity .qty' );

				if ( $productSummary.length > 0 ) {
					$qty.val( newQuantity ).trigger( 'change' );
				}
			} );
		}

		function initSingleStickyAddToCartForm() {
			if ( '1' !== $makeaholicWoo.singleProductStickyBar ) {
				return;
			}

			var $stickyBar = $( '#sticky-product-bar' );

			if ( 0 >= $stickyBar.length ) {
				return;
			}

			$stickyBar.on( 'click', '.sticky-product-bar-close', function( e ) {
				$stickyBar.addClass( 'hide' );
			} );

			var $addToCartBtn = $( '.entry-product form.cart' ).find( '.single_add_to_cart_button' );
			var offsetTop = $addToCartBtn.offset().top;
			var ACTIVE_CLASS = 'showing';

			$( window ).on( 'scroll', function() {
				var st = $( this ).scrollTop();

				if ( st > offsetTop ) {
					$stickyBar.addClass( ACTIVE_CLASS );
				} else {
					$stickyBar.removeClass( ACTIVE_CLASS );
				}
			} );
		}

		function uploadAttachmentHandler() {
			var $commentForm = $( '#commentform' );

			$commentForm.on( 'click', '.comment-form__attachment-button', function() {
				var $attachmentButton = $( this ).closest( '.comment-form' ).find( '.comment-form-attachment__input' );
				$attachmentButton.trigger( 'click' );
			} );

			$commentForm.on( 'change', '.comment-form-attachment__input', function( evt ) {
				var $attachmentButton = $( this ).closest( '.comment-form' ).find( '.comment-form__attachment-button' ),
				    fileName          = this.files && this.files.length > 1 ? $makeaholicProductSingle.i18n.filesSelected.replace( '{count}', this.files.length ) : evt.target.value.split( '\\' ).pop();

				$attachmentButton.find( '.button-text' ).text( fileName );
			} );
		}

		function toggleWcTabs() {
			var $reviewsSummary = $( '.reviews-summary' );

			$reviewsSummary.on( 'click', '.tm-button', function( e ) {
				e.preventDefault();

				var $el = $( this ),
					href = $el.attr( 'href' ),
					$wcTab = $( href ),
					$tabNavItem = $( '#' + $wcTab.attr( 'aria-labelledby' ) ),
					$formWrapper = $( '.question-form-wrapper, #review_form_wrapper', $wcTab ),
					$formParent = $( '.question-list-container, .reviews-content', $wcTab );

				if ( $wcTab.css( 'display' ) === 'none' ) {
					$wcTab.show().siblings( '.wc-tab' ).hide();
					$tabNavItem.addClass( 'active' ).siblings().removeClass( 'active' );
					$formWrapper.slideDown();
				} else {
					$formWrapper.slideToggle();
				}

				var tabNavHeight = $( '.wc-tabs' ).outerHeight( true ),
					headerHeight = 0,
					formPos = $formParent.offset().top,
					offset;

				if ( $( document.body ).hasClass( 'header-sticky-enable' ) ) {
					headerHeight = $( '#page-header' ).outerHeight();
				}

				offset = formPos - tabNavHeight - headerHeight;
				offset = offset > 0 ? offset : 0;

				$( 'html, body' ).animate({ scrollTop: offset });
			} );
		}

	}( jQuery )
);
