(
	function( $ ) {
		'use strict';

		$( document ).ready( function() {
			uploadAvatar();
			removeAvatar();
			toggleButton();
		} );

		function toggleButton() {
			$( document.body ).on( 'click', '.my-account-profile .toggle_upload_action', function( e ) {
				e.preventDefault();

				$( this ).closest( '.my-avatar' )
				         .siblings( '.makeaholic-user-profile' )
				         .find( '.makeaholic-user-profile__action' )
				         .toggleClass( 'active' );
			} );
		}

		function uploadAvatar() {
			var $form      = $( '.makeaholic-user-profile__form' ),
			    $avatar    = $( '.avatar', '.my-account-profile' ),
			    $fileField = $( '.tm_user_avatar', $form ),
			    $uploadBtn = $( '.upload_avatar', $form );

			$uploadBtn.on( 'click', function( e ) {
				e.preventDefault();
				$( this ).closest( '.makeaholic-user-profile__action' ).removeClass( 'active' );
				$( this ).closest( '.makeaholic-user-profile__form' ).find( '.tm_user_avatar' ).trigger( 'click' );
			} );

			$fileField.on( 'change', function( e ) {
				var file = e.target.files,
				    data = new FormData( $form.get( 0 ) );

				data.append( 'action', 'makeaholic_upload_avatar' );
				data.append( '_ajax_nonce', $makeaholicUpload.update_avatar_nonce );

				$.each( file, function( key, value ) {
					data.append( 'user_avatar', value );
				} );

				var $imageLoader = $( '<img src="' + $makeaholicUpload.image_loader + '" width="100" height="100"/>' );
				$avatar.html( $imageLoader );

				$.ajax( {
					url: $makeaholic.ajaxurl,
					type: 'POST',
					data: data,
					cache: false,
					dataType: 'json',
					processData: false,
					contentType: false,
					success: function( data, textStatus, jqXHR ) {
						$avatar.html( data.html );
					}
				} );
			} );

			$form.on( 'submit', function( e ) {
				e.preventDefault();
			} );
		}

		function removeAvatar() {
			var $form      = $( '.makeaholic-user-profile__form' ),
			    $avatar    = $( '.avatar', '.my-account-profile' ),
			    $removeBtn = $( '.remove_avatar', $form );

			$removeBtn.on( 'click', function( e ) {
				e.preventDefault();

				$( this ).closest( '.makeaholic-user-profile__action' ).removeClass( 'active' );

				var data = new FormData( $form.get( 0 ) );

				data.append( 'action', 'makeaholic_remove_avatar' );
				data.append( '_ajax_nonce', $makeaholicUpload.update_avatar_nonce );

				var $imageLoader = $( '<img src="' + $makeaholicUpload.image_loader + '" width="100" height="100"/>' );
				$avatar.html( $imageLoader );

				$.ajax( {
					url: $makeaholic.ajaxurl,
					type: 'POST',
					data: data,
					cache: false,
					dataType: 'json',
					processData: false,
					contentType: false,
					success: function( data, textStatus, jqXHR ) {
						$avatar.html( data.html );
					}
				} );
			} );
		}
	}( jQuery )
);
