jQuery( document ).ready( function( $ ) {
	'use strict';

	var $shopReviews = $( '.makeaholic-shop-reviews' );
	var $filterForm = $( '.shop-reviews-form-filter' );

	initShopReviews();

	function initShopReviews() {
		if ( $filterForm.length <= 0 ) {
			return;
		}

		$filterForm.on( 'change', '.form-select', function() {
			$filterForm.trigger( 'submit' );
		} );

		$filterForm.on( 'submit', function( evt ) {
			evt.preventDefault();

			var $form = $( this );
			var formData = $form.serialize();

			$.ajax( {
				url: $makeaholic.ajaxurl,
				type: 'GET',
				cache: false,
				dataType: 'json',
				data: formData,
				success: function( response ) {
					var $shopReviews = $( '.makeaholic-shop-reviews' );

					if ( response && response.fragments ) {
						$.each( response.fragments, function( key ) {
							$( key ).addClass( 'block-updating' );
						} );

						$.each( response.fragments, function( key, value ) {
							$( key ).html( value ).removeClass( 'block-updating' );
						} );

						$( document.body ).trigger( 'makeaholic_shop_reviews_fragments_loaded' );
					}

				},
				beforeSend: function() {
					$shopReviews.find( '.shop-reviews-form-filter' ).addClass( 'block-updating' );
					$shopReviews.find( '.comment-list' ).addClass( 'block-updating' );
					$shopReviews.find( '.makeaholic-shop-reviews-pagination' ).addClass( 'block-updating' );
				},
				complete: function() {
					$shopReviews.find( '.shop-reviews-form-filter' ).removeClass( 'block-updating' );
					$shopReviews.find( '.comment-list' ).removeClass( 'block-updating' );
					$shopReviews.find( '.makeaholic-shop-reviews-pagination' ).removeClass( 'block-updating' );
				}
			} );

			return false;
		} );

		var $pagination = $shopReviews.find( '.makeaholic-shop-reviews-pagination' );

		$pagination.on( 'click', 'a', function( e ) {
			e.preventDefault();
			e.stopPropagation();

			var href = $( this ).attr( 'href' );
			var page = getUrlParameter( href, 'current_page' );

			$filterForm.find( 'input[name="current_page"]' ).val( page );
			$filterForm.trigger( 'submit' );
		} );
	}

	function getUrlParameter( link, name ) {
		name = name.replace( /[\[]/, '\\[' ).replace( /[\]]/, '\\]' );
		var regex = new RegExp( '[\\?&]' + name + '=([^&#]*)' );
		var results = regex.exec( link );
		return results === null ? '' : decodeURIComponent( results[ 1 ].replace( /\+/g, ' ' ) );
	}
} );
