<?php
$section  = 'blog_archive';
$priority = 1;
$prefix   = 'blog_archive_';

$sidebar_positions   = Makeaholic_Helper::get_list_sidebar_positions();
$registered_sidebars = Makeaholic_Helper::get_registered_sidebars();

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Header', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'blog_archive_header_type',
	'label'       => esc_html__( 'Header Style', 'makeaholic' ),
	'description' => esc_html__( 'Select header style that displays on blog archive pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '',
	'choices'     => Makeaholic_Header::instance()->get_list( true, esc_html__( 'Use Global Header Style', 'makeaholic' ) ),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'blog_archive_header_overlay',
	'label'    => esc_html__( 'Header Overlay', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '',
	'choices'  => array(
		''  => esc_html__( 'Use Global', 'makeaholic' ),
		'0' => esc_html__( 'No', 'makeaholic' ),
		'1' => esc_html__( 'Yes', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'blog_archive_header_skin',
	'label'    => esc_html__( 'Header Skin', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '',
	'choices'  => array(
		''      => esc_html__( 'Use Global', 'makeaholic' ),
		'dark'  => esc_html__( 'Dark', 'makeaholic' ),
		'light' => esc_html__( 'Light', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Page Title Bar', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'blog_archive_title_bar_layout',
	'label'       => esc_html__( 'Title Bar Style', 'makeaholic' ),
	'description' => esc_html__( 'Select default Title Bar that displays on archive blog pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'choices'     => Makeaholic_Title_Bar::instance()->get_list( true, esc_html__( 'Use Global Title Bar', 'makeaholic' ) ),
	'default'     => 'standard-02',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Sidebar', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'blog_archive_page_sidebar_1',
	'label'       => esc_html__( 'Sidebar 1', 'makeaholic' ),
	'description' => esc_html__( 'Select sidebar 1 that will display on blog archive pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 'blog_sidebar',
	'choices'     => $registered_sidebars,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'blog_archive_page_sidebar_2',
	'label'       => esc_html__( 'Sidebar 2', 'makeaholic' ),
	'description' => esc_html__( 'Select sidebar 2 that will display on blog archive pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 'none',
	'choices'     => $registered_sidebars,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'blog_archive_page_sidebar_position',
	'label'    => esc_html__( 'Sidebar Position', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'right',
	'choices'  => $sidebar_positions,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'number',
	'settings'    => 'blog_archive_single_sidebar_width',
	'label'       => esc_html__( 'Single Sidebar Width', 'makeaholic' ),
	'description' => esc_html__( 'Controls the width of the sidebar when only one sidebar is present. Input value as % unit. For e.g: 33.33333. Leave blank to use global setting.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '33.333333',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'dimension',
	'settings'    => 'blog_archive_single_sidebar_offset',
	'label'       => esc_html__( 'Single Sidebar Offset', 'makeaholic' ),
	'description' => esc_html__( 'Controls the offset of the sidebar when only one sidebar is present. Enter value including any valid CSS unit. For e.g: 70px. Leave blank to use global setting.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '30px',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'blog_archive_page_sidebar_style',
	'label'    => esc_html__( 'Sidebar Style', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'choices'  => [
		'01' => '01',
		'02' => '02',
		'03' => '03',
	],
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Others', 'makeaholic' ) . '</div>',
) );

$preset_label = esc_html__( 'Preset %1$s', 'makeaholic' );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'preset',
	'settings' => 'blog_archive_preset',
	'label'    => esc_html__( 'Blog Layout Preset', 'makeaholic' ),
	'section'  => $section,
	'default'  => '-1',
	'priority' => $priority++,
	'multiple' => 0,
	'choices'  => array(
		'-1' => array(
			'label'    => esc_html__( 'None', 'makeaholic' ),
			'settings' => array(),
		),
		'01' => array(
			'label'    => sprintf( $preset_label, '01' ),
			'settings' => array(
				'blog_archive_site_layout'        => 'normal',
				'blog_archive_style'              => 'grid',
				'blog_archive_grid_caption_style' => '01',
				'blog_archive_posts_per_page'     => 10,
			),
		),
		'02' => array(
			'label'    => sprintf( $preset_label, '02' ),
			'settings' => array(
				'blog_archive_site_layout'        => 'normal',
				'blog_archive_style'              => 'grid',
				'blog_archive_grid_caption_style' => '02',
				'blog_archive_posts_per_page'     => 10,
			),
		),
		'03' => array(
			'label'    => sprintf( $preset_label, '03' ),
			'settings' => array(
				'blog_archive_site_layout'        => 'normal',
				'blog_archive_page_sidebar_1'     => 'none',
				'blog_archive_style'              => 'grid',
				'blog_archive_grid_caption_style' => '01',
				'blog_archive_posts_per_page'     => 9,
			),
		),
		'04' => array(
			'label'    => sprintf( $preset_label, '04' ),
			'settings' => array(
				'blog_archive_site_layout'        => 'normal',
				'blog_archive_style'              => 'grid',
				'blog_archive_grid_caption_style' => '01',
				'blog_archive_posts_per_page'     => 9,
				'blog_archive_grid_image_size'    => '480x9999',
			),
		),
		'05' => array(
			'label'    => sprintf( $preset_label, '05' ),
			'settings' => array(
				'blog_archive_site_layout'        => 'wide',
				'blog_archive_page_sidebar_1'     => 'none',
				'blog_archive_style'              => 'grid',
				'blog_archive_grid_caption_style' => '01',
				'blog_archive_grid_image_size'    => '480x480',
				'blog_archive_posts_per_page'     => 12,
				'blog_archive_lg_columns'         => 4,
			),
		),
		'06' => array(
			'label'    => sprintf( $preset_label, '06' ),
			'settings' => array(
				'blog_archive_site_layout'    => 'normal',
				'blog_archive_page_sidebar_1' => 'blog_sidebar',
				'blog_archive_style'          => 'list-01',
				'blog_archive_posts_per_page' => 7,
			),
		),
		'07' => array(
			'label'    => sprintf( $preset_label, '07' ),
			'settings' => array(
				'blog_archive_site_layout'    => 'normal',
				'blog_archive_page_sidebar_1' => 'blog_sidebar',
				'blog_archive_style'          => 'list-02',
				'blog_archive_posts_per_page' => 7,
			),
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'blog_archive_site_layout',
	'label'    => esc_html__( 'Site Layout', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'normal',
	'choices'  => Makeaholic_Helper::get_site_layout_options(),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'blog_archive_style',
	'label'       => esc_html__( 'Blog Style', 'makeaholic' ),
	'description' => esc_html__( 'Select blog style that display for archive pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 'grid',
	'choices'     => array(
		'grid'    => esc_attr__( 'Grid', 'makeaholic' ),
		'list-01' => esc_attr__( 'List - Large Image', 'makeaholic' ),
		'list-02' => esc_attr__( 'List - Left Image', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'select',
	'settings'        => 'blog_archive_grid_image_size',
	'label'           => esc_html__( 'Image Size', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => '480x585',
	'choices'         => array(
		'480x585'  => '480x585',
		'480x480'  => '480x480',
		'480x9999' => '480x9999',
		'custom'   => esc_html__( 'Custom', 'makeaholic' ),
	),
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', [
	'type'            => 'number',
	'settings'        => 'blog_archive_grid_image_size_width',
	'label'           => esc_html__( 'Image Size Width', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'choices'         => [
		'min'  => 0,
		'step' => 1,
	],
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
		array(
			'setting'  => 'blog_archive_grid_image_size',
			'operator' => '==',
			'value'    => 'custom',
		),
	),
] );

Makeaholic_Kirki::add_field( 'theme', [
	'type'            => 'number',
	'settings'        => 'blog_archive_grid_image_size_height',
	'label'           => esc_html__( 'Image Size Height', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'choices'         => [
		'min'  => 0,
		'step' => 1,
	],
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
		array(
			'setting'  => 'blog_archive_grid_image_size',
			'operator' => '==',
			'value'    => 'custom',
		),
	),
] );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'select',
	'settings'        => 'blog_archive_grid_caption_style',
	'label'           => esc_html__( 'Blog Caption Style', 'makeaholic' ),
	'description'     => esc_html__( 'Select blog caption style that display for archive pages.', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => '02',
	'choices'         => array(
		'01' => '01',
		'02' => '02',
	),
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'radio-buttonset',
	'settings'        => 'blog_archive_masonry',
	'label'           => esc_html__( 'Masonry?', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => '1',
	'choices'         => array(
		'0' => esc_html__( 'No', 'makeaholic' ),
		'1' => esc_html__( 'Yes', 'makeaholic' ),
	),
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'number',
	'settings'    => 'blog_archive_posts_per_page',
	'label'       => esc_html__( 'Number posts', 'makeaholic' ),
	'description' => esc_html__( 'Controls the number of posts per page', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 10,
	'choices'     => array(
		'min'  => 1,
		'max'  => 50,
		'step' => 1,
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'custom',
	'settings'        => $prefix . 'group_title_' . $priority++,
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => '<div class="big_title">' . esc_html__( 'Grid Options', 'makeaholic' ) . '</div>',
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'slider',
	'settings'        => 'blog_archive_lg_columns',
	'label'           => esc_html__( 'Desktop Columns', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => 3,
	'transport'       => 'auto',
	'choices'         => array(
		'min'  => 0,
		'max'  => 6,
		'step' => 1,
	),
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'slider',
	'settings'        => 'blog_archive_lg_gutter',
	'label'           => esc_html__( 'Desktop Gutter', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => 30,
	'transport'       => 'auto',
	'choices'         => array(
		'min'  => 0,
		'max'  => 100,
		'step' => 1,
	),
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'slider',
	'settings'        => 'blog_archive_md_columns',
	'label'           => esc_html__( 'Tablet Columns', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => 2,
	'transport'       => 'auto',
	'choices'         => array(
		'min'  => 0,
		'max'  => 6,
		'step' => 1,
	),
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'slider',
	'settings'        => 'blog_archive_md_gutter',
	'label'           => esc_html__( 'Tablet Gutter', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'transport'       => 'auto',
	'choices'         => array(
		'min'  => 0,
		'max'  => 100,
		'step' => 1,
	),
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'slider',
	'settings'        => 'blog_archive_sm_columns',
	'label'           => esc_html__( 'Mobile Columns', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => 1,
	'transport'       => 'auto',
	'choices'         => array(
		'min'  => 0,
		'max'  => 6,
		'step' => 1,
	),
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'slider',
	'settings'        => 'blog_archive_sm_gutter',
	'label'           => esc_html__( 'Mobile Gutter', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'transport'       => 'auto',
	'choices'         => array(
		'min'  => 0,
		'max'  => 100,
		'step' => 1,
	),
	'active_callback' => array(
		array(
			'setting'  => 'blog_archive_style',
			'operator' => '==',
			'value'    => 'grid',
		),
	),
) );
