<?php
$section  = 'blog_single';
$priority = 1;
$prefix   = 'single_post_';

$sidebar_positions   = Makeaholic_Helper::get_list_sidebar_positions();
$registered_sidebars = Makeaholic_Helper::get_registered_sidebars();

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Header', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'blog_single_header_type',
	'label'       => esc_html__( 'Header Style', 'makeaholic' ),
	'description' => esc_html__( 'Select default header style that displays on all single blog post pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '',
	'choices'     => Makeaholic_Header::instance()->get_list( true, esc_html__( 'Use Global Header Style', 'makeaholic' ) ),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'blog_single_header_overlay',
	'label'    => esc_html__( 'Header Overlay', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '',
	'choices'  => array(
		''  => esc_html__( 'Use Global', 'makeaholic' ),
		'0' => esc_html__( 'No', 'makeaholic' ),
		'1' => esc_html__( 'Yes', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'blog_single_header_skin',
	'label'    => esc_html__( 'Header Skin', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '',
	'choices'  => array(
		''      => esc_html__( 'Use Global', 'makeaholic' ),
		'dark'  => esc_html__( 'Dark', 'makeaholic' ),
		'light' => esc_html__( 'Light', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Page Title Bar', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'blog_single_title_bar_layout',
	'label'       => esc_html__( 'Title Bar Style', 'makeaholic' ),
	'description' => esc_html__( 'Select default Title Bar that displays on all single blog post pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'choices'     => Makeaholic_Title_Bar::instance()->get_list( true, esc_html__( 'Use Global Title Bar', 'makeaholic' ) ),
	'default'     => Makeaholic_Title_Bar::DEFAULT_MINIMAL_TYPE,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Sidebar', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'post_page_sidebar_1',
	'label'       => esc_html__( 'Sidebar 1', 'makeaholic' ),
	'description' => esc_html__( 'Select sidebar 1 that will display on single blog post pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 'blog_sidebar',
	'choices'     => $registered_sidebars,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'post_page_sidebar_2',
	'label'       => esc_html__( 'Sidebar 2', 'makeaholic' ),
	'description' => esc_html__( 'Select sidebar 2 that will display on single blog post pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 'none',
	'choices'     => $registered_sidebars,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'post_page_sidebar_position',
	'label'    => esc_html__( 'Sidebar Position', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'right',
	'choices'  => $sidebar_positions,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Others', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_feature_enable',
	'label'    => esc_html__( 'Featured Image', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_title_enable',
	'label'    => esc_html__( 'Post Title', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_categories_enable',
	'label'    => esc_html__( 'Categories', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_tags_enable',
	'label'    => esc_html__( 'Tags', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_date_enable',
	'label'    => esc_html__( 'Post Meta Date', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_view_count_enable',
	'label'    => esc_html__( 'View Count', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_comment_count_enable',
	'label'    => esc_html__( 'Comment Count', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_author_enable',
	'label'    => esc_html__( 'Author Meta', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Customize::instance()->field_social_sharing_enable( array(
	'settings' => 'single_post_share_enable',
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_author_box_enable',
	'label'    => esc_html__( 'Author Info Box', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_pagination_enable',
	'label'    => esc_html__( 'Previous/Next Pagination', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_related_enable',
	'label'    => esc_html__( 'Related Post', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'number',
	'settings'        => 'single_post_related_number',
	'label'           => esc_html__( 'Number of related posts item', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => 10,
	'choices'         => array(
		'min'  => 0,
		'max'  => 50,
		'step' => 1,
	),
	'active_callback' => array(
		array(
			'setting'  => 'single_post_related_enable',
			'operator' => '==',
			'value'    => '1',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_post_comment_enable',
	'label'    => esc_html__( 'Comments List/Form', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );
