<?php
/**
 * Theme Customizer
 *
 * @package Makeaholic
 * @since   1.0
 */

/**
 * Setup configuration
 */
Makeaholic_Kirki::add_config( 'theme', array(
	'option_type' => 'theme_mod',
	'capability'  => 'edit_theme_options',
) );

/**
 * Add sections
 */
$priority = 1;

Makeaholic_Kirki::add_section( 'layout', array(
	'title'    => esc_html__( 'Site Layout & Background', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'color_', array(
	'title'    => esc_html__( 'Colors', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'typography', array(
	'title'    => esc_html__( 'Typography', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_panel( 'top_bar', array(
	'title'    => esc_html__( 'Top bar', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_panel( 'header', array(
	'title'    => esc_html__( 'Header', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'logo', array(
	'title'       => esc_html__( 'Logo', 'makeaholic' ),
	'description' => '<div class="desc">
			<strong class="insight-label insight-label-info">' . esc_html__( 'IMPORTANT NOTE: ', 'makeaholic' ) . '</strong>
			<p>' . esc_html__( 'These settings can be overridden by settings from Page Options Box in separator page.', 'makeaholic' ) . '</p>
			<p><img src="' . esc_url( MAKEAHOLIC_THEME_IMAGE_URI . '/customize/logo-settings.jpg' ) . '" alt="' . esc_attr__( 'logo-settings', 'makeaholic' ) . '"/></p>
		</div>',
	'priority'    => $priority++,
) );

Makeaholic_Kirki::add_panel( 'navigation', array(
	'title'    => esc_html__( 'Navigation', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_panel( 'title_bar', array(
	'title'    => esc_html__( 'Page Title Bar & Breadcrumb', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'sidebars', array(
	'title'    => esc_html__( 'Sidebars', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'footer', array(
	'title'    => esc_html__( 'Footer', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'pages', array(
	'title'    => esc_html__( 'Pages', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_panel( 'blog', array(
	'title'    => esc_html__( 'Blog', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_panel( 'shop', array(
	'title'    => esc_html__( 'Shop', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'socials', array(
	'title'    => esc_html__( 'Social Networks', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'social_sharing', array(
	'title'    => esc_html__( 'Social Sharing', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_panel( 'search', array(
	'title'    => esc_html__( 'Search & Popup Search', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'error404_page', array(
	'title'    => esc_html__( 'Error 404 Page', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_panel( 'shortcode', array(
	'title'    => esc_html__( 'Shortcodes', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'pre_loader', array(
	'title'    => esc_html__( 'Pre Loader', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_panel( 'advanced', array(
	'title'    => esc_html__( 'Advanced', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'login', array(
	'title'    => esc_html__( 'Login/Register Popup', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'notices', array(
	'title'    => esc_html__( 'Notices', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'settings_preset', array(
	'title'    => esc_html__( 'Preset', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'performance', array(
	'title'    => esc_html__( 'Performance', 'makeaholic' ),
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_section( 'custom_js', array(
	'title'    => esc_html__( 'Additional JS', 'makeaholic' ),
	'priority' => 200,
) );

/**
 * Load panel & section files.
 */
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-color.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/top-bar/_panel.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/top-bar/general.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/top-bar/style-01.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/top-bar/style-02.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/top-bar/style-03.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/_panel.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/general.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/sticky.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/more-options.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/style-01.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/style-02.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/style-03.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/style-04.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/style-05.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/style-06.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/style-07.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/style-08.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/style-09.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/style-10.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/header/style-11.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/navigation/_panel.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/navigation/desktop-menu.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/navigation/off-canvas-menu.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/navigation/mobile-menu.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/title-bar/_panel.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/title-bar/general.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/title-bar/standard-01.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/title-bar/standard-02.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/title-bar/standard-03.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/title-bar/minimal-01.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-footer.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/advanced/_panel.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/advanced/advanced.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/advanced/light-gallery.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-login.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-notices.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-pre-loader.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-custom-js.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-error404.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-layout.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-logo.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-pages.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/blog/_panel.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/blog/archive.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/blog/single.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/shop/_panel.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/shop/general.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/shop/archive.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/shop/single.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/shop/cart.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/search/_panel.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/search/search-page.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/search/search-popup.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-preset.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-sharing.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-sidebars.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-socials.php' );
makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-typography.php' );

makeaholic_require_file_once( MAKEAHOLIC_CUSTOMIZER_DIR . '/section-performance.php' );
