<?php
$section  = 'header_style_01';
$priority = 1;
$prefix   = 'header_style_01_';

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Header Style', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'border_width',
	'label'     => esc_html__( 'Border Bottom Width', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 50,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.header-01 .page-header-inner',
			'property' => 'border-bottom-width',
			'units'    => 'px',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Header Components', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'search_enable',
	'label'    => esc_html__( 'Search', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'popup',
	'choices'  => array(
		'0'      => esc_html__( 'Hide', 'makeaholic' ),
		'inline' => esc_html__( 'Inline Form', 'makeaholic' ),
		'popup'  => esc_html__( 'Popup Search', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'login_enable',
	'label'    => esc_html__( 'Login', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'wishlist_enable',
	'label'    => esc_html__( 'Wishlist', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'cart_enable',
	'label'    => esc_html__( 'Mini Cart', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0'             => esc_html__( 'Hide', 'makeaholic' ),
		'1'             => esc_html__( 'Show', 'makeaholic' ),
		'hide_on_empty' => esc_html__( 'Hide On Empty', 'makeaholic' ),
	),
) );

Makeaholic_Customize::instance()->field_social_networks_enable( array(
	'settings' => $prefix . 'social_networks_enable',
	'section'  => $section,
	'priority' => $priority++,
) );

Makeaholic_Customize::instance()->field_language_switcher_enable( array(
	'settings' => $prefix . 'language_switcher_enable',
	'section'  => $section,
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Header Button', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'button_text',
	'label'    => esc_html__( 'Button Text', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'button_link',
	'label'    => esc_html__( 'Button Link', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'text',
	'settings' => $prefix . 'button_link_rel',
	'label'    => esc_html__( 'Button Link Relationship (XFN)', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'button_link_target',
	'label'    => esc_html__( 'Open link in a new tab.', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '0',
	'choices'  => array(
		'0' => esc_html__( 'No', 'makeaholic' ),
		'1' => esc_html__( 'Yes', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => $prefix . 'button_style',
	'label'    => esc_html__( 'Button Style', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'thick-border',
	'choices'  => Makeaholic_Header::instance()->get_button_style(),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Header Navigation (Level 1)', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'kirki_typography',
	'settings'    => $prefix . 'navigation_typography',
	'label'       => esc_html__( 'Typography', 'makeaholic' ),
	'description' => esc_html__( 'These settings control the typography for menu items.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '500',
		'font-size'      => '15px',
		'line-height'    => '22px',
		'letter-spacing' => '',
		'text-transform' => 'capitalize',
	),
	'output'      => array(
		array(
			'element' => '.header-01 .menu--primary > ul > li > a',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'spacing',
	'settings'  => $prefix . 'navigation_item_padding',
	'label'     => esc_html__( 'Item Padding', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'default'   => array(
		'top'    => '29px',
		'bottom' => '29px',
		'left'   => '15px',
		'right'  => '15px',
	),
	'transport' => 'auto',
	'output'    => array(
		array(
			'element'  => array(
				'.desktop-menu .header-01 .menu--primary .menu__container > li > a',
			),
			'property' => 'padding',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => $prefix . 'navigation_item_line_style',
	'label'    => esc_html__( 'Line Bottom Style', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'wave',
	'choices'  => array(
		'normal' => esc_html__( 'Normal', 'makeaholic' ),
		'wave'   => esc_html__( 'Wave', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Header Dark Skin', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Header Style', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'background',
	'settings' => $prefix . 'dark_background',
	'label'    => esc_html__( 'Background', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => array(
		'background-color'      => '#fff',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-size'       => 'cover',
		'background-attachment' => 'fixed',
		'background-position'   => 'center center',
	),
	'output'   => array(
		array(
			'element' => '.header-01.header-dark .page-header-inner',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'dark_border_color',
	'label'       => esc_html__( 'Border Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the border color of header.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'default'     => '#eee',
	'output'      => array(
		array(
			'element'  => '.header-01.header-dark .page-header-inner',
			'property' => 'border-color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'dark_box_shadow',
	'label'       => esc_html__( 'Box Shadow', 'makeaholic' ),
	'description' => esc_html__( 'Input box shadow for header. For e.g: 0 0 5px #ccc', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '0 4px 4px rgba(0, 0, 0, 0.03)',
	'output'      => array(
		array(
			'element'  => '.header-01.header-dark .page-header-inner',
			'property' => 'box-shadow',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Header Icon', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'dark_header_icon_color',
	'label'       => esc_html__( 'Icon Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of icons on header.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'normal' => esc_attr__( 'Normal', 'makeaholic' ),
		'hover'  => esc_attr__( 'Hover', 'makeaholic' ),
	),
	'default'     => array(
		'normal' => Makeaholic::HEADING_COLOR,
		'hover'  => Makeaholic::PRIMARY_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'normal',
			'element'  => '
			.header-01.header-dark .header-icon,
			.header-01.header-dark .wpml-ls-item-toggle',
			'property' => 'color',
		),
		array(
			'choice'   => 'hover',
			'element'  => '.header-01.header-dark .header-icon:hover',
			'property' => 'color',
		),
		array(
			'choice'   => 'hover',
			'element'  => '.header-01.header-dark .wpml-ls-slot-shortcode_actions:hover > .js-wpml-ls-item-toggle',
			'property' => 'color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Icon Badge Color', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'dark_cart_badge_color',
	'label'       => esc_html__( 'Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of icon badge.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
	),
	'default'     => array(
		'color'      => '#fff',
		'background' => Makeaholic::PRIMARY_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'color',
			'element'  => '.header-01.header-dark .mini-cart .mini-cart-icon:after, .header-01.header-dark .header-icon .header-icon-badge',
			'property' => 'color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.header-01.header-dark .mini-cart .mini-cart-icon:after, .header-01.header-dark .header-icon .header-icon-badge',
			'property' => 'background-color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Navigation', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'dark_navigation_link_color',
	'label'       => esc_html__( 'Link Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color for main menu items.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'normal' => esc_attr__( 'Normal', 'makeaholic' ),
		'hover'  => esc_attr__( 'Hover', 'makeaholic' ),
	),
	'default'     => array(
		'normal' => Makeaholic::HEADING_COLOR,
		'hover'  => Makeaholic::HEADING_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'normal',
			'element'  => '.header-01.header-dark .menu--primary > ul > li > a',
			'property' => 'color',
		),
		array(
			'choice'   => 'hover',
			'element'  => '
			.header-01.header-dark .menu--primary > ul > li:hover > a,
            .header-01.header-dark .menu--primary > ul > li > a:hover,
            .header-01.header-dark .menu--primary > ul > li > a:focus,
            .header-01.header-dark .menu--primary > ul > .current-menu-ancestor > a,
            .header-01.header-dark .menu--primary > ul > .current-menu-item > a',
			'property' => 'color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'background',
	'settings' => $prefix . 'navigation_item_line_bg',
	'label'    => esc_html__( 'Line Background', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => array(
		'background-color'      => Makeaholic::SECONDARY_COLOR,
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-size'       => 'cover',
		'background-attachment' => 'fixed',
		'background-position'   => 'center center',
	),
	'output'   => array(
		array(
			'element' => '
			.header-01.header-dark.nav-links-hover-style-01 .menu--primary .menu__container > li > a > .menu-item-wrap > .menu-item-title:after,
			.header-01.header-dark.nav-links-hover-style-02 .menu--primary .menu__container > li > a > .menu-item-wrap > .menu-item-title:after
			',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Header Search Form', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'multicolor',
	'settings'        => $prefix . 'dark_search_form_color',
	'label'           => esc_html__( 'Normal', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'transport'       => 'auto',
	'choices'         => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'         => array(
		'color'      => '#696969',
		'background' => '#f5f5f5',
		'border'     => '#f5f5f5',
	),
	'output'          => Makeaholic_Header::instance()->get_search_form_kirki_output( '01', 'dark', false ),
	'active_callback' => array(
		array(
			'setting'  => $prefix . 'search_enable',
			'operator' => '==',
			'value'    => 'inline',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'multicolor',
	'settings'        => $prefix . 'dark_search_form_focus_color',
	'label'           => esc_html__( 'Hover', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'transport'       => 'auto',
	'choices'         => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'         => array(
		'color'      => '#333',
		'background' => '#fff',
		'border'     => Makeaholic::PRIMARY_COLOR,
	),
	'output'          => Makeaholic_Header::instance()->get_search_form_kirki_output( '01', 'dark', true ),
	'active_callback' => array(
		array(
			'setting'  => $prefix . 'search_enable',
			'operator' => '==',
			'value'    => 'inline',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Header Button', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'dark_button_color',
	'label'    => esc_html__( 'Button Color', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'custom',
	'choices'  => array(
		''       => esc_html__( 'Default', 'makeaholic' ),
		'custom' => esc_html__( 'Custom', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'multicolor',
	'settings'        => $prefix . 'dark_button_custom_color',
	'label'           => esc_html__( 'Button Color', 'makeaholic' ),
	'description'     => esc_html__( 'Controls the color of button.', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'transport'       => 'auto',
	'choices'         => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'         => array(
		'color'      => '#fff',
		'background' => Makeaholic::PRIMARY_COLOR,
		'border'     => Makeaholic::PRIMARY_COLOR,
	),
	'output'          => Makeaholic_Header::instance()->get_button_kirki_output( '01', 'dark', false ),
	'active_callback' => array(
		array(
			'setting'  => $prefix . 'dark_button_color',
			'operator' => '==',
			'value'    => 'custom',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'multicolor',
	'settings'        => $prefix . 'dark_button_hover_custom_color',
	'label'           => esc_html__( 'Button Hover Color', 'makeaholic' ),
	'description'     => esc_html__( 'Controls the color of button when hover.', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'transport'       => 'auto',
	'choices'         => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'         => array(
		'color'      => Makeaholic::PRIMARY_COLOR,
		'background' => 'rgba(0, 0, 0, 0)',
		'border'     => Makeaholic::PRIMARY_COLOR,
	),
	'output'          => Makeaholic_Header::instance()->get_button_kirki_output( '01', 'dark', true ),
	'active_callback' => array(
		array(
			'setting'  => $prefix . 'dark_button_color',
			'operator' => '==',
			'value'    => 'custom',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Header Social Networks', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'multicolor',
	'settings'  => $prefix . 'dark_social_networks_color',
	'label'     => esc_html__( 'Color', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'transport' => 'auto',
	'choices'   => array(
		'normal' => esc_attr__( 'Normal', 'makeaholic' ),
		'hover'  => esc_attr__( 'Hover', 'makeaholic' ),
	),
	'default'   => array(
		'normal' => Makeaholic::HEADING_COLOR,
		'hover'  => Makeaholic::PRIMARY_COLOR,
	),
	'output'    => array(
		array(
			'choice'   => 'normal',
			'element'  => '.header-01.header-dark .header-social-networks a',
			'property' => 'color',
		),
		array(
			'choice'   => 'hover',
			'element'  => '.header-01.header-dark .header-social-networks a:hover',
			'property' => 'color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Header Light Skin', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Header Style', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'light_border_color',
	'label'       => esc_html__( 'Border Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the border color of header.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'default'     => 'rgba(255, 255, 255, 0.2)',
	'output'      => array(
		array(
			'element'  => '.header-01.header-light .page-header-inner',
			'property' => 'border-color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'text',
	'settings'    => $prefix . 'light_box_shadow',
	'label'       => esc_html__( 'Box Shadow', 'makeaholic' ),
	'description' => esc_html__( 'Input box shadow for header. For e.g: 0 0 5px #ccc', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '',
	'output'      => array(
		array(
			'element'  => '.header-01.header-light .page-header-inner',
			'property' => 'box-shadow',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Header Icon', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'light_header_icon_color',
	'label'       => esc_html__( 'Icon Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of icons on header.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'normal' => esc_attr__( 'Normal', 'makeaholic' ),
		'hover'  => esc_attr__( 'Hover', 'makeaholic' ),
	),
	'default'     => array(
		'normal' => '#fff',
		'hover'  => '#fff',
	),
	'output'      => array(
		array(
			'choice'   => 'normal',
			'element'  => '
			.header-01.header-light .header-icon,
			.header-01.header-light .wpml-ls-item-toggle',
			'property' => 'color',
		),
		array(
			'choice'   => 'hover',
			'element'  => '.header-01.header-light .header-icon:hover',
			'property' => 'color',
		),
		array(
			'choice'   => 'hover',
			'element'  => '.header-01.header-light .wpml-ls-slot-shortcode_actions:hover > .js-wpml-ls-item-toggle',
			'property' => 'color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Icon Badge Color', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'light_cart_badge_color',
	'label'       => esc_html__( 'Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of icon badge.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
	),
	'default'     => array(
		'color'      => Makeaholic::PRIMARY_COLOR,
		'background' => '#fff',
	),
	'output'      => array(
		array(
			'choice'   => 'color',
			'element'  => '.header-01.header-light .mini-cart .mini-cart-icon:after, .header-01.header-light .header-icon .header-icon-badge',
			'property' => 'color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.header-01.header-light .mini-cart .mini-cart-icon:after, .header-01.header-light .header-icon .header-icon-badge',
			'property' => 'background-color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Navigation', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'light_navigation_link_color',
	'label'       => esc_html__( 'Navigation Link Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color for main menu items.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'normal' => esc_attr__( 'Normal', 'makeaholic' ),
		'hover'  => esc_attr__( 'Hover', 'makeaholic' ),
	),
	'default'     => array(
		'normal' => '#fff',
		'hover'  => '#fff',
	),
	'output'      => array(
		array(
			'choice'   => 'normal',
			'element'  => '.header-01.header-light .menu--primary > ul > li > a',
			'property' => 'color',
		),
		array(
			'choice'   => 'hover',
			'element'  => '
            .header-01.header-light .menu--primary > ul > li:hover > a,
            .header-01.header-light .menu--primary > ul > li > a:hover,
            .header-01.header-light .menu--primary > ul > li > a:focus,
            .header-01.header-light .menu--primary > ul > .current-menu-ancestor > a,
            .header-01.header-light .menu--primary > ul > .current-menu-item > a',
			'property' => 'color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'background',
	'settings' => $prefix . 'light_navigation_item_line_bg',
	'label'    => esc_html__( 'Line Background', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => array(
		'background-color'      => Makeaholic::SECONDARY_COLOR,
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-size'       => 'cover',
		'background-attachment' => 'fixed',
		'background-position'   => 'center center',
	),
	'output'   => array(
		array(
			'element' => '
			.header-01.header-light.nav-links-hover-style-01 .menu--primary .menu__container > li > a > .menu-item-wrap > .menu-item-title:after,
			.header-01.header-light.nav-links-hover-style-02 .menu--primary .menu__container > li > a > .menu-item-wrap > .menu-item-title:after
			',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Header Search Form', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'multicolor',
	'settings'        => $prefix . 'light_search_form_color',
	'label'           => esc_html__( 'Normal', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'transport'       => 'auto',
	'choices'         => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'         => array(
		'color'      => '#696969',
		'background' => '#fff',
		'border'     => '#fff',
	),
	'output'          => Makeaholic_Header::instance()->get_search_form_kirki_output( '01', 'light', false ),
	'active_callback' => array(
		array(
			'setting'  => $prefix . 'search_enable',
			'operator' => '==',
			'value'    => 'inline',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'multicolor',
	'settings'        => $prefix . 'light_search_form_focus_color',
	'label'           => esc_html__( 'Hover', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'transport'       => 'auto',
	'choices'         => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'         => array(
		'color'      => '#333',
		'background' => '#fff',
		'border'     => Makeaholic::PRIMARY_COLOR,
	),
	'output'          => Makeaholic_Header::instance()->get_search_form_kirki_output( '01', 'light', true ),
	'active_callback' => array(
		array(
			'setting'  => $prefix . 'search_enable',
			'operator' => '==',
			'value'    => 'inline',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Header Button', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => $prefix . 'light_button_color',
	'label'    => esc_html__( 'Button Color', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'custom',
	'choices'  => array(
		''       => esc_html__( 'Default', 'makeaholic' ),
		'custom' => esc_html__( 'Custom', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'multicolor',
	'settings'        => $prefix . 'light_button_custom_color',
	'label'           => esc_html__( 'Button Color', 'makeaholic' ),
	'description'     => esc_html__( 'Controls the color of button.', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'transport'       => 'auto',
	'choices'         => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'         => array(
		'color'      => '#fff',
		'background' => 'rgba(255, 255, 255, 0)',
		'border'     => 'rgba(255, 255, 255, 0.3)',
	),
	'output'          => Makeaholic_Header::instance()->get_button_kirki_output( '01', 'light', false ),
	'active_callback' => array(
		array(
			'setting'  => $prefix . 'light_button_color',
			'operator' => '==',
			'value'    => 'custom',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'multicolor',
	'settings'        => $prefix . 'light_button_hover_custom_color',
	'label'           => esc_html__( 'Button Hover Color', 'makeaholic' ),
	'description'     => esc_html__( 'Controls the color of button when hover.', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'transport'       => 'auto',
	'choices'         => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'         => array(
		'color'      => Makeaholic::HEADING_COLOR,
		'background' => '#fff',
		'border'     => '#fff',
	),
	'output'          => Makeaholic_Header::instance()->get_button_kirki_output( '01', 'light', true ),
	'active_callback' => array(
		array(
			'setting'  => $prefix . 'light_button_color',
			'operator' => '==',
			'value'    => 'custom',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="group_title">' . esc_html__( 'Header Social Networks', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'multicolor',
	'settings'  => $prefix . 'light_social_networks_color',
	'label'     => esc_html__( 'Normal Color', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'transport' => 'auto',
	'choices'   => array(
		'normal' => esc_attr__( 'Normal', 'makeaholic' ),
		'hover'  => esc_attr__( 'Hover', 'makeaholic' ),
	),
	'default'   => array(
		'normal' => '#fff',
		'hover'  => '#fff',
	),
	'output'    => array(
		array(
			'choice'   => 'normal',
			'element'  => '.header-01.header-light .header-social-networks a',
			'property' => 'color',
		),
		array(
			'choice'   => 'hover',
			'element'  => '.header-01.header-light .header-social-networks a:hover',
			'property' => 'color',
		),
	),
) );
