<?php
$section  = 'color_';
$priority = 1;
$prefix   = 'color_';

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'color',
	'settings'  => 'primary_color',
	'label'     => esc_html__( 'Primary Color', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'transport' => 'auto',
	'default'   => Makeaholic::PRIMARY_COLOR,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'color',
	'settings'  => 'secondary_color',
	'label'     => esc_html__( 'Secondary Color', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'transport' => 'auto',
	'default'   => Makeaholic::SECONDARY_COLOR,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'color',
	'settings'  => 'primary_bg_color',
	'label'     => esc_html__( 'Primary Background Color', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'transport' => 'auto',
	'default'   => Makeaholic::PRIMARY_BG_COLOR,
	'output'    => array(
		array(
			'element'  => '.comment-list .children',
			'property' => 'border-left-color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'color',
	'settings'    => 'body_color',
	'label'       => esc_html__( 'Text Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the default color of all text.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'default'     => Makeaholic::TEXT_COLOR,
	'output'      => array(
		array(
			'element'  => 'body, .gmap-marker-wrap',
			'property' => 'color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'color-alpha',
	'settings'  => 'body_lighten_color',
	'label'     => esc_html__( 'Text Lighten Color', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'transport' => 'auto',
	'default'   => Makeaholic::TEXT_LIGHTEN_COLOR,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => 'link_color',
	'label'       => esc_html__( 'Link Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the default color of all links.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'normal' => esc_attr__( 'Normal', 'makeaholic' ),
		'hover'  => esc_attr__( 'Hover', 'makeaholic' ),
	),
	'default'     => array(
		'normal' => '#000000',
		'hover'  => Makeaholic::PRIMARY_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'normal',
			'element'  => 'a',
			'property' => 'color',
		),
		array(
			'choice'   => 'hover',
			'element'  => '
			a:hover,
			a:focus,
			.makeaholic-map-overlay-info a:hover,
			.widget_rss li a:hover,
			.widget_recent_entries li a:hover,
			.widget_recent_entries li a:after
			',
			'property' => 'color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'color',
	'settings'    => 'heading_color',
	'label'       => esc_html__( 'Heading Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of heading.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'default'     => Makeaholic::HEADING_COLOR,
	'output'      => array(
		array(
			'element'  => '
			h1,h2,h3,h4,h5,h6,caption,th,blockquote,
			.heading,
			.heading-color,
			.tm-button.style-text .button-text,
			.entry-post-tags a:hover,
			.entry-author .author-social-networks a:hover,
			.widget_rss li a,
			.makeaholic-grid-wrapper.filter-style-01 .btn-filter.current,
			.makeaholic-grid-wrapper.filter-style-01 .btn-filter:hover,
			.elementor-accordion .elementor-tab-title,
			.tm-table.style-01 td,
			.tm-table caption,
			.comment-reply-title,
			.page-links,
			.comment-nav-links li,
			.page-pagination li,
			.comment-nav-links li,
			.woocommerce-checkout .shop_table .product-name
			',
			'property' => 'color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Button Color', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => 'button_color',
	'label'       => esc_html__( 'Button Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of buttons.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'     => array(
		'color'      => '#fff',
		'background' => Makeaholic::HEADING_COLOR,
		'border'     => Makeaholic::HEADING_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'color',
			'element'  => Makeaholic_Helper::get_button_css_selector(),
			'property' => 'color',
		),
		array(
			'choice'   => 'border',
			'element'  => Makeaholic_Helper::get_button_css_selector(),
			'property' => 'border-color',
		),
		array(
			'choice'   => 'background',
			'element'  => Makeaholic_Helper::get_button_css_selector(),
			'property' => 'background-color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.wp-block-button.is-style-outline',
			'property' => 'color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => 'button_hover_color',
	'label'       => esc_html__( 'Button Hover Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of buttons when hover.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'     => array(
		'color'      => '#fff',
		'background' => Makeaholic::PRIMARY_COLOR,
		'border'     => Makeaholic::PRIMARY_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'color',
			'element'  => Makeaholic_Helper::get_button_hover_css_selector(),
			'property' => 'color',
		),
		array(
			'choice'   => 'border',
			'element'  => Makeaholic_Helper::get_button_hover_css_selector(),
			'property' => 'border-color',
		),
		array(
			'choice'   => 'background',
			'element'  => Makeaholic_Helper::get_button_hover_css_selector(),
			'property' => 'background-color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.wp-block-button.is-style-outline .wp-block-button__link:hover',
			'property' => 'color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Form Color', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => 'form_input_color',
	'label'       => esc_html__( 'Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of form inputs.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'     => array(
		'color'      => '#696969',
		'background' => '#ffffff',
		'border'     => '#eeeeee',
	),
	'output'      => array(
		array(
			'choice'   => 'color',
			'element'  => Makeaholic_Helper::get_form_input_css_selector(),
			'property' => 'color',
		),
		array(
			'choice'   => 'border',
			'element'  => Makeaholic_Helper::get_form_input_css_selector(),
			'property' => 'border-color',
		),
		array(
			'choice'   => 'background',
			'element'  => Makeaholic_Helper::get_form_input_css_selector(),
			'property' => 'background-color',
		),
		/**
		 * Style for radio.
		 */
		array(
			'choice'   => 'border',
			'element'  => "
				input[type='radio']:before
			",
			'property' => 'border-color',
		),
		array(
			'choice'   => 'background',
			'element'  => "
				input[type='radio']:before
			",
			'property' => 'background-color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => 'form_input_focus_color',
	'label'       => esc_html__( 'Focus Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of form inputs when focus.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
		'border'     => esc_attr__( 'Border', 'makeaholic' ),
	),
	'default'     => array(
		'color'      => Makeaholic::HEADING_COLOR,
		'background' => '#fff',
		'border'     => Makeaholic::PRIMARY_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'color',
			'element'  => Makeaholic_Helper::get_form_input_focus_css_selector(),
			'property' => 'color',
		),
		array(
			'choice'   => 'border',
			'element'  => Makeaholic_Helper::get_form_input_focus_css_selector(),
			'property' => 'border-color',
		),
		array(
			'choice'   => 'background',
			'element'  => Makeaholic_Helper::get_form_input_focus_css_selector(),
			'property' => 'background-color',
		),
		/**
		 * Style for radio.
		 */
		array(
			'choice'   => 'border',
			'element'  => "
				input[type='radio']:checked:before,
				input[type='radio']:hover:before
			",
			'property' => 'border-color',
		),
		array(
			'choice'   => 'border',
			'element'  => "
				input[type='radio']:after
			",
			'property' => 'background-color',
		),
		array(
			'choice'   => 'background',
			'element'  => "
				input[type='radio']:checked:before
			",
			'property' => 'background-color',
		),
	),
) );
