<?php
$section  = 'login';
$priority = 1;
$prefix   = 'login_';

$all_pages = [];
if ( is_customize_preview() ) {
	$all_pages = Makeaholic_Helper::get_all_pages();
}

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'login_popup_enable',
	'label'    => esc_html__( 'Enable', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'No', 'makeaholic' ),
		'1' => esc_html__( 'Yes', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'login_redirect',
	'label'    => esc_html__( 'Login Redirect', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '',
	'choices'  => [
		''          => esc_html__( 'Current Page', 'makeaholic' ),
		'home'      => esc_html__( 'Home', 'makeaholic' ),
		'dashboard' => esc_html__( 'My Account', 'makeaholic' ),
		'custom'    => esc_html__( 'Custom', 'makeaholic' ),
	],
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'text',
	'settings'        => 'custom_login_redirect',
	'label'           => esc_html__( 'Custom Url', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => '',
	'active_callback' => array(
		array(
			'setting'  => 'login_redirect',
			'operator' => '==',
			'value'    => 'custom',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'page_for_terms_and_conditions',
	'label'    => esc_html__( 'Terms and conditions', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 0,
	'choices'  => $all_pages,
) );
