<?php
$section  = 'logo';
$priority = 1;
$prefix   = 'logo_';

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'logo',
	'label'       => esc_html__( 'Default Logo', 'makeaholic' ),
	'description' => esc_html__( 'Choose default logo.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 'logo_dark',
	'choices'     => array(
		'logo_dark'  => esc_html__( 'Dark Logo', 'makeaholic' ),
		'logo_light' => esc_html__( 'Light Logo', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'image',
	'settings' => 'logo_dark',
	'label'    => esc_html__( 'Dark Version', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => array(
		'url' => MAKEAHOLIC_THEME_IMAGE_URI . '/logo/dark-logo.png',
	),
	'choices'  => array(
		'save_as' => 'array',
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'image',
	'settings' => 'logo_light',
	'label'    => esc_html__( 'Light Version', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => array(
		'url' => MAKEAHOLIC_THEME_IMAGE_URI . '/logo/light-logo.png',
	),
	'choices'  => array(
		'save_as' => 'array',
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'number',
	'settings'    => 'logo_width',
	'label'       => esc_html__( 'Logo Width', 'makeaholic' ),
	'description' => esc_html__( 'For e.g: 200', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '114',
	'output'      => array(
		array(
			'element'  => '.branding__logo img,
			.error404--header .branding__logo img
			',
			'property' => 'width',
			'units'    => 'px',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'number',
	'settings'    => 'tablet_logo_width',
	'label'       => esc_html__( 'Tablet Logo Width', 'makeaholic' ),
	'description' => esc_html__( 'For e.g: 200', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '80',
	'output'      => array(
		array(
			'element'  => '.mobile-menu .branding__logo img,
			mobile-menu .error404--header .branding__logo img
			',
			'property' => 'width',
			'units'    => 'px',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'number',
	'settings'    => 'mobile_logo_width',
	'label'       => esc_html__( 'Mobile Logo Width', 'makeaholic' ),
	'description' => esc_html__( 'For e.g: 200', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '69',
	'output'      => array(
		array(
			'element'     => '.mobile-menu .branding__logo img,
			mobile-menu .error404--header .branding__logo img
			',
			'property'    => 'width',
			'units'       => 'px',
			'media_query' => Makeaholic_Helper::get_xs_down_media_query(),
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'spacing',
	'settings'    => $prefix . 'padding',
	'label'       => esc_html__( 'Logo Padding', 'makeaholic' ),
	'description' => esc_html__( 'For e.g: 30px 0px 30px 0px', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => array(
		'top'    => '10px',
		'right'  => '0px',
		'bottom' => '10px',
		'left'   => '0px',
	),
	'output'      => array(
		array(
			'element'  => '.branding__logo img',
			'property' => 'padding',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Sticky Logo', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'dimension',
	'settings'    => 'sticky_logo_width',
	'label'       => esc_html__( 'Logo Width', 'makeaholic' ),
	'description' => esc_html__( 'Controls the width of sticky header logo. For e.g: 120', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '80',
	'output'      => array(
		array(
			'element'  => '.header-pinned .branding img',
			'property' => 'width',
			'units'    => 'px',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Mobile Menu Logo', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'image',
	'settings'    => 'mobile_menu_logo',
	'label'       => esc_html__( 'Logo', 'makeaholic' ),
	'description' => esc_html__( 'Select an image file for mobile menu logo.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => array(
		'url' => MAKEAHOLIC_THEME_IMAGE_URI . '/logo/dark-logo.png',
	),
	'choices'     => array(
		'save_as' => 'array',
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'number',
	'settings'    => 'mobile_menu_logo_width',
	'label'       => esc_html__( 'Logo Width', 'makeaholic' ),
	'description' => esc_html__( 'Controls the width of mobile menu logo. For e.g: 120', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '80',
	'output'      => array(
		array(
			'element'  => '.page-mobile-popup-logo img',
			'property' => 'width',
			'units'    => 'px',
		),
	),
) );
