<?php
$section  = 'shop_archive';
$priority = 1;
$prefix   = 'shop_archive_';

$sidebar_positions   = Makeaholic_Helper::get_list_sidebar_positions();
$registered_sidebars = Makeaholic_Helper::get_registered_sidebars();

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="big_title">' . esc_html__( 'Header', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'product_archive_header_type',
	'label'       => esc_html__( 'Header Style', 'makeaholic' ),
	'description' => esc_html__( 'Select default header style that displays on archive product page.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'choices'     => Makeaholic_Header::instance()->get_list( true, esc_html__( 'Use Global Header Style', 'makeaholic' ) ),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'product_archive_header_overlay',
	'label'    => esc_html__( 'Header Overlay', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority ++,
	'choices'  => array(
		''  => esc_html__( 'Use Global', 'makeaholic' ),
		'0' => esc_html__( 'No', 'makeaholic' ),
		'1' => esc_html__( 'Yes', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'product_archive_header_skin',
	'label'    => esc_html__( 'Header Skin', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority ++,
	'choices'  => array(
		''      => esc_html__( 'Use Global', 'makeaholic' ),
		'dark'  => esc_html__( 'Dark', 'makeaholic' ),
		'light' => esc_html__( 'Light', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="big_title">' . esc_html__( 'Page Title Bar', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'product_archive_title_bar_layout',
	'label'       => esc_html__( 'Title Bar Style', 'makeaholic' ),
	'description' => esc_html__( 'Select default Title Bar that displays on all archive product (included cart, checkout, my-account...) pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'standard-03',
	'choices'     => Makeaholic_Title_Bar::instance()->get_list( true, esc_html__( 'Use Global Title Bar', 'makeaholic' ) ),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="big_title">' . esc_html__( 'Sidebar', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'product_archive_page_sidebar_1',
	'label'       => esc_html__( 'Sidebar 1', 'makeaholic' ),
	'description' => esc_html__( 'Select sidebar 1 that will display on product archive pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'shop_sidebar',
	'choices'     => $registered_sidebars,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'product_archive_page_sidebar_2',
	'label'       => esc_html__( 'Sidebar 2', 'makeaholic' ),
	'description' => esc_html__( 'Select sidebar 2 that will display on product archive pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'none',
	'choices'     => $registered_sidebars,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'product_archive_page_sidebar_position',
	'label'    => esc_html__( 'Sidebar Position', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'left',
	'choices'  => $sidebar_positions,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'number',
	'settings'    => 'product_archive_single_sidebar_width',
	'label'       => esc_html__( 'Single Sidebar Width', 'makeaholic' ),
	'description' => esc_html__( 'Controls the width of the sidebar when only one sidebar is present. Input value as % unit. For e.g: 33.33333. Leave blank to use global setting.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '25',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'dimension',
	'settings'    => 'product_archive_single_sidebar_offset',
	'label'       => esc_html__( 'Single Sidebar Offset', 'makeaholic' ),
	'description' => esc_html__( 'Controls the offset of the sidebar when only one sidebar is present. Enter value including any valid CSS unit. For e.g: 70px. Leave blank to use global setting.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '30px',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="big_title">' . esc_html__( 'Others', 'makeaholic' ) . '</div>',
) );

$preset_label = esc_html__( 'Preset %1$s', 'makeaholic' );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'preset',
	'settings' => 'shop_archive_preset',
	'label'    => esc_html__( 'Shop Layout Preset', 'makeaholic' ),
	'section'  => $section,
	'default'  => '-1',
	'priority' => $priority ++,
	'multiple' => 0,
	'choices'  => array(
		'-1' => array(
			'label'    => esc_html__( 'None', 'makeaholic' ),
			'settings' => array(),
		),
		'01' => array(
			'label'    => sprintf( $preset_label, '01' ),
			'settings' => array(
				'product_archive_title_bar_layout'      => 'standard-03',
				'product_archive_page_sidebar_1'        => 'shop_sidebar',
				'product_archive_page_sidebar_position' => 'left',
				'shop_archive_number_item'              => 12,
				'shop_archive_lg_columns'               => 4,
				'shop_archive_lg_gutter'                => 30,
				'shop_archive_sorting'                  => '1',
				'shop_archive_filtering'                => '0',
			),
		),
		'02' => array(
			'label'    => sprintf( $preset_label, '02' ),
			'settings' => array(
				'product_archive_title_bar_layout' => 'standard-01',
				'product_archive_page_sidebar_1'   => 'none',
				'shop_archive_number_item'         => 12,
				'shop_archive_lg_columns'          => 3,
				'shop_archive_lg_gutter'           => 60,
				'shop_archive_md_gutter'           => 20,
				'shop_archive_sm_gutter'           => 16,
				'shop_archive_sorting'             => '1',
				'shop_archive_filtering'           => '1',

			),
		),
		'03' => array(
			'label'    => sprintf( $preset_label, '03' ),
			'settings' => array(
				'product_archive_title_bar_layout' => 'standard-01',
				'shop_archive_number_item'         => 12,
				'shop_archive_lg_columns'          => 4,
				'shop_archive_lg_gutter'           => 30,
				'shop_archive_sorting'             => '1',
				'shop_archive_filtering'           => '0',
			),
		),
		'04' => array(
			'label'    => sprintf( $preset_label, '04' ),
			'settings' => array(
				'product_archive_title_bar_layout' => 'standard-03',
				'product_archive_page_sidebar_1'   => 'none',
				'shop_archive_number_item'         => 12,
				'shop_archive_lg_columns'          => 4,
				'shop_archive_lg_gutter'           => 30,
				'shop_archive_sorting'             => '1',
				'shop_archive_filtering'           => '1',
			),
		),
		'05' => array(
			'label'    => sprintf( $preset_label, '05' ),
			'settings' => array(
				'product_archive_title_bar_layout' => 'standard-03',
				'shop_archive_site_layout'         => 'wide',
				'product_archive_page_sidebar_1'   => 'none',
				'shop_archive_number_item'         => 15,
				'shop_archive_lg_columns'          => 5,
				'shop_archive_lg_gutter'           => 30,
				'shop_archive_sorting'             => '1',
				'shop_archive_filtering'           => '1',
			),
		),
		'06' => array(
			'label'    => sprintf( $preset_label, '06' ),
			'settings' => array(
				'shop_archive_site_layout'              => 'wide',
				'product_archive_title_bar_layout'      => 'standard-03',
				'product_archive_single_sidebar_width'  => '20',
				'product_archive_single_sidebar_offset' => '20px',
				'shop_archive_number_item'              => 15,
				'shop_archive_lg_columns'               => 5,
				'shop_archive_lg_gutter'                => 30,
				'shop_archive_sorting'                  => '1',
				'shop_archive_filtering'                => '0',
			),
		),
		'07' => array(
			'label'    => sprintf( $preset_label, '07' ),
			'settings' => array(
				'shop_archive_site_layout'         => 'wide',
				'product_archive_title_bar_layout' => 'standard-03',
				'product_archive_page_sidebar_1'   => 'none',
				'shop_archive_grid_style'          => 'grid-02',
				'shop_archive_number_item'         => 12,
				'shop_archive_lg_columns'          => 4,
				'shop_archive_lg_gutter'           => 30,
				'shop_archive_sorting'             => '1',
				'shop_archive_filtering'           => '1',
			),
		),
		'08' => array(
			'label'    => sprintf( $preset_label, '08' ),
			'settings' => array(
				'shop_archive_site_layout'              => 'wide',
				'product_archive_title_bar_layout'      => 'standard-03',
				'product_archive_single_sidebar_width'  => '20',
				'product_archive_single_sidebar_offset' => '20px',
				'shop_archive_grid_style'               => 'grid-02',
				'shop_archive_number_item'              => 15,
				'shop_archive_lg_columns'               => 5,
				'shop_archive_lg_gutter'                => 30,
				'shop_archive_sorting'                  => '1',
				'shop_archive_filtering'                => '0',
			),
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'shop_archive_site_layout',
	'label'    => esc_html__( 'Site Layout', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'normal',
	'choices'  => Makeaholic_Helper::get_site_layout_options(),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => $prefix . 'grid_style',
	'label'       => esc_html__( 'Grid Style', 'makeaholic' ),
	'description' => esc_html__( 'Style for Grid Layout', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 'grid-01',
	'choices'     => array(
		'grid-01' => esc_html__( 'Style 01', 'makeaholic' ),
		'grid-02' => esc_html__( 'Style 02', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_sticky_toolbars',
	'label'       => esc_html__( 'Sticky Toolbars', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to make toolbars sticky below header when scroll to bottom', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_sorting',
	'label'       => esc_html__( 'Sorting', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to show sorting select options that displays above products list.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_filtering',
	'label'       => esc_html__( 'Filtering', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to show filtering button that displays above products list.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '0',
	'choices'     => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_layout_switcher',
	'label'       => esc_html__( 'Layout Switcher', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to show layout switcher button that displays above products list.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_hover_image',
	'label'       => esc_html__( 'Hover Image', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to show first gallery image when hover', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'None', 'makeaholic' ),
		'1' => esc_html__( 'Yes', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'shop_archive_hide_add_to_cart_mobile',
	'label'    => esc_html__( 'Hide Add to cart button on mobile', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'None', 'makeaholic' ),
		'1' => esc_html__( 'Yes', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_quick_view',
	'label'       => esc_html__( 'Quick View', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to display quick view button', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_quick_view_on_mobile',
	'label'       => esc_html__( 'Quick View on Mobile', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to display quick view button on Mobile', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '0',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
	'active_callback' => array(
		array(
			'setting'  => 'shop_archive_quick_view',
			'operator' => '==',
			'value'    => '1',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_compare',
	'label'       => esc_html__( 'Compare', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to display compare button', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'shop_archive_wishlist',
	'label'       => esc_html__( 'Wishlist', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to display love button', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'number',
	'settings'    => 'shop_archive_number_item',
	'label'       => esc_html__( 'Number items', 'makeaholic' ),
	'description' => esc_html__( 'Controls the number of products display on shop archive page', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority ++,
	'default'     => 12,
	'choices'     => array(
		'min'  => 1,
		'max'  => 50,
		'step' => 1,
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="big_title">' . esc_html__( 'Grid Options', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => 'shop_archive_sm_columns',
	'label'     => esc_html__( 'Mobile Columns', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 2,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 6,
		'step' => 1,
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => 'shop_archive_sm_gutter',
	'label'     => esc_html__( 'Mobile Gutter', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'transport' => 'auto',
	'default'   => 16,
	'choices'   => array(
		'min'  => 0,
		'max'  => 100,
		'step' => 1,
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => 'shop_archive_md_columns',
	'label'     => esc_html__( 'Tablet Columns', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 3,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 6,
		'step' => 1,
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => 'shop_archive_md_gutter',
	'label'     => esc_html__( 'Tablet Gutter', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'transport' => 'auto',
	'default'   => 20,
	'choices'   => array(
		'min'  => 0,
		'max'  => 100,
		'step' => 1,
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => 'shop_archive_lg_columns',
	'label'     => esc_html__( 'Desktop Columns', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 4,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 6,
		'step' => 1,
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => 'shop_archive_lg_gutter',
	'label'     => esc_html__( 'Desktop Gutter', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority ++,
	'default'   => 30,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 100,
		'step' => 1,
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority ++,
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => '<div class="big_title">' . esc_html__( 'Categories', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => $prefix . 'categories_style',
	'label'    => esc_html__( 'Categories Layout', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority ++,
	'default'  => 'carousel',
	'choices'  => array(
		'carousel' => esc_html__( 'Carousel', 'makeaholic' ),
		'grid'     => esc_html__( 'Grid', 'makeaholic' ),
	),
) );
