<?php
$section  = 'shop_general';
$priority = 1;
$prefix   = 'shop_general_';

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'shop_badge_new',
	'label'       => esc_html__( 'New Badge (Days)', 'makeaholic' ),
	'description' => esc_html__( 'If the product was published within the newness time frame display the new badge.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '30',
	'choices'     => array(
		'0'  => esc_html__( 'None', 'makeaholic' ),
		'1'  => esc_html__( '1 day', 'makeaholic' ),
		'2'  => esc_html__( '2 days', 'makeaholic' ),
		'3'  => esc_html__( '3 days', 'makeaholic' ),
		'4'  => esc_html__( '4 days', 'makeaholic' ),
		'5'  => esc_html__( '5 days', 'makeaholic' ),
		'6'  => esc_html__( '6 days', 'makeaholic' ),
		'7'  => esc_html__( '7 days', 'makeaholic' ),
		'8'  => esc_html__( '8 days', 'makeaholic' ),
		'9'  => esc_html__( '9 days', 'makeaholic' ),
		'10' => esc_html__( '10 days', 'makeaholic' ),
		'15' => esc_html__( '15 days', 'makeaholic' ),
		'20' => esc_html__( '20 days', 'makeaholic' ),
		'25' => esc_html__( '25 days', 'makeaholic' ),
		'30' => esc_html__( '30 days', 'makeaholic' ),
		'60' => esc_html__( '60 days', 'makeaholic' ),
		'90' => esc_html__( '90 days', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'shop_badge_hot',
	'label'    => esc_html__( 'Hot Badge', 'makeaholic' ),
	'tooltip'  => esc_html__( 'Show a "hot" label when product set featured.', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'shop_badge_sale',
	'label'    => esc_html__( 'Sale Badge', 'makeaholic' ),
	'tooltip'  => esc_html__( 'Show a "sale" or "sale percent" label when product on sale.', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
	'choices'  => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Colors', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'multicolor',
	'settings'  => 'shop_badge_new_color',
	'label'     => esc_html__( 'New Badge Color', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'transport' => 'auto',
	'choices'   => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
	),
	'default'   => array(
		'color'      => '#fff',
		'background' => '#C26431',
	),
	'output'    => array(
		array(
			'choice'   => 'color',
			'element'  => '.woocommerce .product .product-badges .new',
			'property' => 'color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.woocommerce .product .product-badges .new',
			'property' => 'background-color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'multicolor',
	'settings'  => 'shop_badge_hot_color',
	'label'     => esc_html__( 'Hot Badge Color', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'transport' => 'auto',
	'choices'   => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
	),
	'default'   => array(
		'color'      => '#fff',
		'background' => '#C32018',
	),
	'output'    => array(
		array(
			'choice'   => 'color',
			'element'  => '.woocommerce .product .product-badges .hot',
			'property' => 'color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.woocommerce .product .product-badges .hot',
			'property' => 'background-color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'multicolor',
	'settings'  => 'shop_badge_sale_color',
	'label'     => esc_html__( 'Sale Badge Color', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'transport' => 'auto',
	'choices'   => array(
		'color'      => esc_attr__( 'Color', 'makeaholic' ),
		'background' => esc_attr__( 'Background', 'makeaholic' ),
	),
	'default'   => array(
		'color'      => '#fff',
		'background' => '#F58448',
	),
	'output'    => array(
		array(
			'choice'   => 'color',
			'element'  => '.woocommerce .product .product-badges .onsale',
			'property' => 'color',
		),
		array(
			'choice'   => 'background',
			'element'  => '.woocommerce .product .product-badges .onsale',
			'property' => 'background-color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'multicolor',
	'settings'  => 'shop_price_color',
	'label'     => esc_html__( 'Price Color', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'transport' => 'auto',
	'choices'   => array(
		'regular' => esc_attr__( 'Regular Price', 'makeaholic' ),
		'old'     => esc_attr__( 'Old Price', 'makeaholic' ),
		'sale'    => esc_attr__( 'Sale Price', 'makeaholic' ),
		'onsale'  => esc_attr__( 'On Sale', 'makeaholic' ),
	),
	'default'   => array(
		'regular' => Makeaholic::HEADING_COLOR,
		'old'     => Makeaholic::TEXT_COLOR,
		'sale'    => Makeaholic::PRIMARY_COLOR,
		'onsale'  => Makeaholic::PRIMARY_COLOR,
	),
	'output'    => array(
		array(
			'choice'   => 'regular',
			'element'  => '
			.price,
			.amount,
			.tr-price,
			.woosw-content-item--price
			',
			'property' => 'color',
		),
		array(
			'choice'   => 'old',
			'element'  => '
			.price del,
			del .amount,
			.tr-price del,
			.woosw-content-item--price del
			',
			'property' => 'color',
		),
		array(
			'choice'   => 'sale',
			'element'  => 'ins .amount',
			'property' => 'color',
		),
		array(
			'choice'   => 'onsale',
			'element'  => '
			.product.sale ins, .product.sale ins .amount,
			.single-product .product.sale .entry-summary > .price ins .amount
			',
			'property' => 'color',
		),
	),
) );
