<?php
$section  = 'shop_single';
$priority = 1;
$prefix   = 'single_product_';

$sidebar_positions   = Makeaholic_Helper::get_list_sidebar_positions();
$registered_sidebars = Makeaholic_Helper::get_registered_sidebars();

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Header', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'product_single_header_type',
	'label'       => esc_html__( 'Header Style', 'makeaholic' ),
	'description' => esc_html__( 'Select default header style that displays on all single product pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '',
	'choices'     => Makeaholic_Header::instance()->get_list( true, esc_html__( 'Use Global Header Style', 'makeaholic' ) ),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'product_single_header_overlay',
	'label'    => esc_html__( 'Header Overlay', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '',
	'choices'  => array(
		''  => esc_html__( 'Use Global', 'makeaholic' ),
		'0' => esc_html__( 'No', 'makeaholic' ),
		'1' => esc_html__( 'Yes', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'product_single_header_skin',
	'label'    => esc_html__( 'Header Skin', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '',
	'choices'  => array(
		''      => esc_html__( 'Use Global', 'makeaholic' ),
		'dark'  => esc_html__( 'Dark', 'makeaholic' ),
		'light' => esc_html__( 'Light', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Page Title Bar', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'product_single_title_bar_layout',
	'label'       => esc_html__( 'Title Bar Style', 'makeaholic' ),
	'description' => esc_html__( 'Select default Title Bar that displays on all single product pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'choices'     => Makeaholic_Title_Bar::instance()->get_list( true, esc_html__( 'Use Global Title Bar', 'makeaholic' ) ),
	'default'     => Makeaholic_Title_Bar::DEFAULT_MINIMAL_TYPE,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Sidebar', 'makeaholic' ) . '</div>',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'product_page_sidebar_1',
	'label'       => esc_html__( 'Sidebar 1', 'makeaholic' ),
	'description' => esc_html__( 'Select sidebar 1 that will display on single product pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 'none',
	'choices'     => $registered_sidebars,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'select',
	'settings'    => 'product_page_sidebar_2',
	'label'       => esc_html__( 'Sidebar 2', 'makeaholic' ),
	'description' => esc_html__( 'Select sidebar 2 that will display on single product pages.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => 'none',
	'choices'     => $registered_sidebars,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'product_page_sidebar_position',
	'label'    => esc_html__( 'Sidebar Position', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'left',
	'choices'  => $sidebar_positions,
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'number',
	'settings'    => 'product_page_single_sidebar_width',
	'label'       => esc_html__( 'Single Sidebar Width', 'makeaholic' ),
	'description' => esc_html__( 'Controls the width of the sidebar when only one sidebar is present. Input value as % unit. For e.g: 33.33333. Leave blank to use global setting.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '25',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'dimension',
	'settings'    => 'product_page_single_sidebar_offset',
	'label'       => esc_html__( 'Single Sidebar Offset', 'makeaholic' ),
	'description' => esc_html__( 'Controls the offset of the sidebar when only one sidebar is present. Enter value including any valid CSS unit. For e.g: 70px. Leave blank to use global setting.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '0',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'product_page_sidebar_style',
	'label'    => esc_html__( 'Sidebar Style', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '01',
	'choices'  => Makeaholic_Sidebar::instance()->get_supported_style_options(),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'custom',
	'settings' => $prefix . 'group_title_' . $priority++,
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '<div class="big_title">' . esc_html__( 'Others', 'makeaholic' ) . '</div>',
) );

$preset_label = esc_html__( 'Preset %1$s', 'makeaholic' );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'preset',
	'settings' => 'shop_single_preset',
	'label'    => esc_html__( 'Single Layout Preset', 'makeaholic' ),
	'section'  => $section,
	'default'  => '-1',
	'priority' => $priority++,
	'multiple' => 0,
	'choices'  => array(
		'-1' => array(
			'label'    => esc_html__( 'None', 'makeaholic' ),
			'settings' => array(),
		),
		'01' => array(
			'label'    => sprintf( $preset_label, '01' ),
			'settings' => array(
				'product_page_sidebar_1'        => 'single_shop_sidebar',
				'product_page_sidebar_position' => 'left',
			),
		),
		'02' => array(
			'label'    => sprintf( $preset_label, '02' ),
			'settings' => array(
				'single_product_site_layout'      => 'normal',
				'single_product_image_layout'     => 'normal',
				'single_product_image_style'      => 'slider',
				'single_product_tabs_style'       => 'tabs',
				'single_product_related_position' => 'before-reviews',
			),
		),
		'03' => array(
			'label'    => sprintf( $preset_label, '03' ),
			'settings' => array(
				'single_product_site_layout'      => 'normal',
				'single_product_image_layout'     => 'normal',
				'single_product_image_style'      => 'slider',
				'single_product_tabs_style'       => 'toggles',
				'single_product_related_position' => 'before-reviews',
			),
		),
		'04' => array(
			'label'    => sprintf( $preset_label, '04' ),
			'settings' => array(
				'single_product_site_layout'    => 'normal',
				'product_page_sidebar_1'        => 'single_shop_sidebar',
				'product_page_sidebar_position' => 'right',
				'single_product_image_layout'   => 'normal',
				'single_product_image_style'    => 'slider',
				'single_product_tabs_style'     => 'toggles',
			),
		),
		'05' => array(
			'label'    => sprintf( $preset_label, '05' ),
			'settings' => array(
				'single_product_site_layout'      => 'normal',
				'product_page_sidebar_1'          => 'single_shop_sidebar2',
				'product_page_sidebar_position'   => 'right',
				'product_page_sidebar_style'      => '02',
				'single_product_image_layout'     => 'extended',
				'single_product_image_style'      => 'slider',
				'single_product_tabs_style'       => 'tabs',
				'single_product_up_sells_enable'  => '0',
				'single_product_related_position' => 'before-reviews',
			),
		),
		'06' => array(
			'label'    => sprintf( $preset_label, '06' ),
			'settings' => array(
				'single_product_site_layout' => 'wide',
				'single_product_image_style' => 'slider',
			),
		),
		'07' => array(
			'label'    => sprintf( $preset_label, '07' ),
			'settings' => array(
				'single_product_site_layout'  => 'wide',
				'single_product_image_layout' => 'wide',
				'single_product_image_style'  => 'grid',
			),
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => 'single_product_site_layout',
	'label'    => esc_html__( 'Site Layout', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'normal',
	'choices'  => Makeaholic_Helper::get_site_layout_options(),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_product_image_layout',
	'label'    => esc_html__( 'Product Image Layout', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'normal',
	'choices'  => array(
		'narrow'   => esc_html__( 'Narrow', 'makeaholic' ),
		'normal'   => esc_html__( 'Normal', 'makeaholic' ),
		'extended' => esc_html__( 'Extended', 'makeaholic' ),
		'wide'     => esc_html__( 'Wide', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_product_image_style',
	'label'    => esc_html__( 'Product Image Style', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'slider',
	'choices'  => array(
		'slider' => esc_html__( 'Slider', 'makeaholic' ),
		'grid'   => esc_html__( 'Grid', 'makeaholic' ),
		'list'   => esc_html__( 'List', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_product_sticky_enable',
	'label'       => esc_html__( 'Sticky Feature/Details Columns', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to enable sticky of product feature & details columns.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '0',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_product_sticky_bar_enable',
	'label'       => esc_html__( 'Sticky Product', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to show product sticky bar when scroll down.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'radio-buttonset',
	'settings' => 'single_product_tabs_style',
	'label'    => esc_html__( 'Tabs Style', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'toggles',
	'choices'  => array(
		'tabs'    => esc_html__( 'Tabs', 'makeaholic' ),
		'toggles' => esc_html__( 'Toggles', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_product_trust_badge_enable',
	'label'       => esc_html__( 'Trust Badge', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to display the trust badge below Add to cart button.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '0',
	'choices'     => array(
		'0' => esc_html__( 'Hide', 'makeaholic' ),
		'1' => esc_html__( 'Show', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'image',
	'settings' => 'single_product_trust_badge_image',
	'label'    => esc_html__( 'Trust Badge Image', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => array(
		'url' => MAKEAHOLIC_THEME_IMAGE_URI . '/woocommerce/product-trust-badge.png',
	),
	'choices'  => array(
		'save_as' => 'array',
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_product_categories_enable',
	'label'       => esc_html__( 'Categories', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to display the categories.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_product_tags_enable',
	'label'       => esc_html__( 'Tags', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to display the tags.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_product_brands_enable',
	'label'       => esc_html__( 'Brands', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to display the brands.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_product_sharing_enable',
	'label'       => esc_html__( 'Sharing', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to display the sharing.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_product_up_sells_enable',
	'label'       => esc_html__( 'Up-sells products', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to display the up-sells products section.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'radio-buttonset',
	'settings'        => 'single_product_up_sells_position',
	'label'           => esc_html__( 'Up-sells products position', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => '',
	'choices'         => array(
		'before-reviews' => esc_html__( 'Before Reviews', 'makeaholic' ),
		'after-reviews'  => esc_html__( 'After Reviews', 'makeaholic' ),
	),
	'active_callback' => array(
		array(
			'setting'  => 'single_product_related_enable',
			'operator' => '==',
			'value'    => '1',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'single_product_related_enable',
	'label'       => esc_html__( 'Related products', 'makeaholic' ),
	'description' => esc_html__( 'Turn on to display the related products section.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'default'     => '1',
	'choices'     => array(
		'0' => esc_html__( 'Off', 'makeaholic' ),
		'1' => esc_html__( 'On', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'radio-buttonset',
	'settings'        => 'single_product_related_position',
	'label'           => esc_html__( 'Related products position', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => 'after-reviews',
	'choices'         => array(
		'before-reviews' => esc_html__( 'Before Reviews', 'makeaholic' ),
		'after-reviews'  => esc_html__( 'After Reviews', 'makeaholic' ),
	),
	'active_callback' => array(
		array(
			'setting'  => 'single_product_related_enable',
			'operator' => '==',
			'value'    => '1',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'number',
	'settings'        => 'product_related_number',
	'label'           => esc_html__( 'Number related products', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => 5,
	'choices'         => array(
		'min'  => 3,
		'max'  => 30,
		'step' => 1,
	),
	'active_callback' => array(
		array(
			'setting'  => 'single_product_related_enable',
			'operator' => '==',
			'value'    => '1',
		),
	),
) );
