<?php
$section  = 'top_bar_style_01';
$priority = 1;
$prefix   = 'top_bar_style_01_';

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'select',
	'settings' => $prefix . 'layout',
	'label'    => esc_html__( 'Layout', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1c',
	'choices'  => array(
		'1l' => esc_html__( '1 Column - Left', 'makeaholic' ),
		'1c' => esc_html__( '1 Column - Center', 'makeaholic' ),
		'1r' => esc_html__( '1 Column - Right', 'makeaholic' ),
		'2'  => esc_html__( '2 Columns', 'makeaholic' ),
		'3'  => esc_html__( '3 Columns', 'makeaholic' ),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'multicheck',
	'settings'        => $prefix . 'left_components',
	'label'           => esc_html__( 'Left Components', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => [ 'social_links' ],
	'choices'         => Makeaholic_Top_Bar::instance()->get_support_components(),
	'active_callback' => array(
		array(
			'setting'  => $prefix . 'layout',
			'operator' => 'in',
			'value'    => [
				'1l',
				'2',
				'3',
			],
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'multicheck',
	'settings'        => $prefix . 'center_components',
	'label'           => esc_html__( 'Center Components', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => [ 'text' ],
	'choices'         => Makeaholic_Top_Bar::instance()->get_support_components(),
	'active_callback' => array(
		array(
			'setting'  => $prefix . 'layout',
			'operator' => 'in',
			'value'    => [
				'1c',
				'3',
			],
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'            => 'multicheck',
	'settings'        => $prefix . 'right_components',
	'label'           => esc_html__( 'Right Components', 'makeaholic' ),
	'section'         => $section,
	'priority'        => $priority++,
	'default'         => [ 'language_switcher' ],
	'choices'         => Makeaholic_Top_Bar::instance()->get_support_components(),
	'active_callback' => array(
		array(
			'setting'  => $prefix . 'layout',
			'operator' => 'in',
			'value'    => [
				'1r',
				'2',
				'3',
			],
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'     => 'textarea',
	'settings' => $prefix . 'text',
	'label'    => esc_html__( 'Text', 'makeaholic' ),
	'section'  => $section,
	'priority' => $priority++,
	'default'  => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'         => 'repeater',
	'settings'     => $prefix . 'info_list',
	'label'        => esc_html__( 'Info List', 'makeaholic' ),
	'section'      => $section,
	'priority'     => $priority++,
	'button_label' => esc_html__( 'Add new info', 'makeaholic' ),
	'row_label'    => array(
		'type'  => 'field',
		'field' => 'text',
	),
	'fields'       => array(
		'text'       => array(
			'type'    => 'textarea',
			'label'   => esc_html__( 'Title', 'makeaholic' ),
			'default' => '',
		),
		'url'        => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Link', 'makeaholic' ),
			'default' => '',
		),
		'icon_class' => array(
			'type'    => 'text',
			'label'   => esc_html__( 'Icon Class', 'makeaholic' ),
			'default' => '',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'padding_top',
	'label'     => esc_html__( 'Padding top', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 200,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-01',
			'property' => 'padding-top',
			'units'    => 'px',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'padding_bottom',
	'label'     => esc_html__( 'Padding bottom', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 200,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-01',
			'property' => 'padding-bottom',
			'units'    => 'px',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'bg_color',
	'label'       => esc_html__( 'Background', 'makeaholic' ),
	'description' => esc_html__( 'Controls the background color of top bar.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'default'     => Makeaholic::PRIMARY_BG_COLOR,
	'output'      => array(
		array(
			'element'  => '.top-bar-01',
			'property' => 'background-color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'border_width',
	'label'     => esc_html__( 'Border Bottom Width', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'default'   => 0,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 0,
		'max'  => 50,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-01',
			'property' => 'border-bottom-width',
			'units'    => 'px',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'color-alpha',
	'settings'    => $prefix . 'border_color',
	'label'       => esc_html__( 'Border Bottom Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the border bottom color of top bar.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'default'     => '#eee',
	'output'      => array(
		array(
			'element'  => '.top-bar-01',
			'property' => 'border-bottom-color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'kirki_typography',
	'settings'    => $prefix . 'text_typography',
	'label'       => esc_html__( 'Text Typography', 'makeaholic' ),
	'description' => esc_html__( 'These settings control the typography of text', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '500',
		'line-height'    => '1.78',
		'letter-spacing' => '',
		'font-size'      => '15px',
	),
	'output'      => array(
		array(
			'element' => '.top-bar-01',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'color',
	'settings'    => $prefix . 'text_color',
	'label'       => esc_html__( 'Text', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of text on top bar.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'default'     => Makeaholic::PRIMARY_COLOR,
	'output'      => array(
		array(
			'element'  => '.top-bar-01',
			'property' => 'color',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'kirki_typography',
	'settings'    => $prefix . 'link_typography',
	'label'       => esc_html__( 'Link Typography', 'makeaholic' ),
	'description' => esc_html__( 'These settings control the typography of link', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'default'     => array(
		'font-family'    => '',
		'variant'        => '500',
		'line-height'    => '1.78',
		'letter-spacing' => '',
		'font-size'      => '15px',
	),
	'output'      => array(
		array(
			'element' => '.top-bar-01 a',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'link_color',
	'label'       => esc_html__( 'Link Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of links on top bar.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'normal' => esc_attr__( 'Normal', 'makeaholic' ),
		'hover'  => esc_attr__( 'Hover', 'makeaholic' ),
	),
	'default'     => array(
		'normal' => Makeaholic::HEADING_COLOR,
		'hover'  => Makeaholic::PRIMARY_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'normal',
			'element'  => '.top-bar-01 a',
			'property' => 'color',
		),
		array(
			'choice'   => 'hover',
			'element'  => '.top-bar-01 a:hover, .top-bar-01 a:focus',
			'property' => 'color',
		),
	),
) );

Makeaholic_Customize::instance()->field_social_networks_enable( array(
	'settings' => $prefix . 'social_networks_enable',
	'section'  => $section,
	'priority' => $priority++,
	'default'  => '1',
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'      => 'slider',
	'settings'  => $prefix . 'social_networks_font_size',
	'label'     => esc_html__( 'Social Font Size', 'makeaholic' ),
	'section'   => $section,
	'priority'  => $priority++,
	'default'   => 14,
	'transport' => 'auto',
	'choices'   => array(
		'min'  => 10,
		'max'  => 100,
		'step' => 1,
	),
	'output'    => array(
		array(
			'element'  => '.top-bar-01 .top-bar-social-network .social-link',
			'property' => 'font-size',
			'units'    => 'px',
		),
	),
) );

Makeaholic_Kirki::add_field( 'theme', array(
	'type'        => 'multicolor',
	'settings'    => $prefix . 'social_network_color',
	'label'       => esc_html__( 'Social Link Color', 'makeaholic' ),
	'description' => esc_html__( 'Controls the color of social links on top bar.', 'makeaholic' ),
	'section'     => $section,
	'priority'    => $priority++,
	'transport'   => 'auto',
	'choices'     => array(
		'normal' => esc_attr__( 'Normal', 'makeaholic' ),
		'hover'  => esc_attr__( 'Hover', 'makeaholic' ),
	),
	'default'     => array(
		'normal' => Makeaholic::HEADING_COLOR,
		'hover'  => Makeaholic::PRIMARY_COLOR,
	),
	'output'      => array(
		array(
			'choice'   => 'normal',
			'element'  => '.top-bar-01 .top-bar-social-network .social-link',
			'property' => 'color',
		),
		array(
			'choice'   => 'hover',
			'element'  => '.top-bar-01 .top-bar-social-network .social-link:hover, .top-bar-01 .top-bar-social-network .social-link:focus',
			'property' => 'color',
		),
	),
) );
