(
	function( $ ) {
		'use strict'

		var MakeaholicGalleryJustifiedContentHandler = function( $scope, $ ) {
			var $el = $scope.find( '.makeaholic-grid' )

			var jRowHeight        = $el.data( 'justified-height' ) ? $el.data( 'justified-height' ) : 440,
			    jMaxRowHeight     = $el.data( 'justified-max-height' ) ? $el.data( 'justified-max-height' ) : 0,
			    jLastRow          = $el.data( 'justified-last-row' ) ? $el.data( 'justified-last-row' ) : 'justify',
			    $justifiedOptions = {
				    rowHeight: jRowHeight,
				    margins: 10,
				    border: 0,
				    lastRow: 'nojustify'
			    }

			$el.imagesLoaded( function() {
				$el.justifiedGallery( $justifiedOptions )

				handlerEntranceAnimation( $el )
			} )
		}

		function handlerEntranceAnimation( $grid ) {
			const observer = new IntersectionObserver( ( entries, _observer ) => {
				entries.forEach( ( entry ) => {
					if ( entry.isIntersecting ) {
						entry.target.classList.add( 'animate' )
					}
				} )
			}, { rootMargin: '0px 0px 0px 0px' } )

			$grid.children( '.grid-item' ).each( function() {
				observer.observe( $( this ).get( 0 ) )
			} )
		}

		$( window ).on( 'elementor/frontend/init', function() {
			elementorFrontend.hooks.addAction( 'frontend/element_ready/tm-gallery-justified-content.default', MakeaholicGalleryJustifiedContentHandler )
		} )
	}
)( jQuery )
