(
	function( $ ) {
		'use strict';

		var MakeaholicProductTabs = function( $scope, $ ) {
			var $element = $scope.find( '.makeaholic-tabpanel' );

			var navTabs = $element.children( '.makeaholic-tab-content' );
			var activeTab = navTabs.children( '.active' );

			if ( ! activeTab.hasClass( 'ajax-loaded' ) ) {
				loadProductData( activeTab );

				activeTab.addClass( 'ajax-loaded' );
			}

			$( document ).on( 'MakeaholicTabChange', function( e, tabPanel, currentTab ) {
				if ( ! currentTab.hasClass( 'ajax-loaded' ) ) {
					loadProductData( currentTab );

					currentTab.addClass( 'ajax-loaded' );
				} else {
					// Fixed layout broken after window resize & tab change.
					var $component = currentTab.find( '.tm-tab-product-element' );
					var layout = currentTab.data( 'layout' );

					if ( 'grid' === layout ) {
						$component.MakeaholicGridLayout( 'calculateMasonrySize' );
					} else {
						var swiper = $component.children( '.swiper-inner' ).children( '.swiper' )[ 0 ].swiper;
						swiper.update();
					}
				}
			} );

			function loadProductData( currentTab ) {
				var $component = currentTab.find( '.tm-tab-product-element' );
				var layout = currentTab.data( 'layout' );
				if ( 'grid' === layout ) {
					$component.MakeaholicGridLayout();
				} else {
					$component.MakeaholicSwiper();
				}

				var query = currentTab.data( 'query' );
				query.action = 'get_product_tabs';

				$.ajax( {
					url: $makeaholic.ajaxurl,
					type: 'POST',
					data: query,
					dataType: 'json',
					success: function( response ) {
						if ( ! response.success ) {
							$component.remove();
							currentTab.find( '.makeaholic-grid-response-messages' ).html( response.template );
						} else {
							if ( 'grid' === layout ) {
								var $grid = $component.children( '.makeaholic-grid' );
								$grid.children( '.grid-item' ).remove();
								$component.MakeaholicGridLayout( 'update', $( response.template ) );
							} else {
								var swiper = $component.children( '.swiper-inner' ).children( '.swiper' )[ 0 ].swiper;
								swiper.removeAllSlides();
								swiper.appendSlide( response.template );
								swiper.update();
							}
						}
					}
				} );
			}
		};

		$( window ).on( 'elementor/frontend/init', function() {
			elementorFrontend.hooks.addAction( 'frontend/element_ready/tm-product-tabs.default', MakeaholicProductTabs );
			elementorFrontend.hooks.addAction( 'frontend/element_ready/tm-carousel-product-tabs.default', MakeaholicProductTabs );
		} );
	}
)( jQuery );
