(
	function( $ ) {
		'use strict';

		var ShopReviews = function( $scope, $ ) {
			var $shopReviews = $scope.find( '.makeaholic-shop-reviews' );

			var $pagination = $shopReviews.find( '.makeaholic-shop-reviews-pagination' );
			var $commentList = $shopReviews.find( '.comment-list' );

			$pagination.on( 'click', 'a', function( e ) {
				e.preventDefault();
				e.stopPropagation();

				var href = $( this ).attr( 'href' );
				var page = getUrlParameter( href, 'current_page' );

				$.ajax( {
					url: ajax_url,
					type: 'GET',
					data: {
						action: 'makeaholic_get_shop_reviews',
						page: page
					},
					dataType: 'json',
					success: function( results ) {
						if ( results.template ) {
							$commentList.html( results.template.comment );
							$pagination.html( results.template.pagination );

							$( window ).trigger( 'resize' );
						}
					}
				} );
			} );
		};

		function getUrlParameter( link, name ) {
			name = name.replace( /[\[]/, '\\[' ).replace( /[\]]/, '\\]' );
			var regex = new RegExp( '[\\?&]' + name + '=([^&#]*)' );
			var results = regex.exec( link );
			return results === null ? '' : decodeURIComponent( results[ 1 ].replace( /\+/g, ' ' ) );
		}

		$( window ).on( 'elementor/frontend/init', function() {
			elementorFrontend.hooks.addAction( 'frontend/element_ready/tm-shop-reviews.default', ShopReviews );
		} );
	}
)( jQuery );
