<?php

namespace Makeaholic_Elementor;

use Elementor\Controls_Manager;

defined( 'ABSPATH' ) || exit;

class Widget_Shop_Reviews extends Base {
	public function __construct( $data = [], $args = null ) {
		parent::__construct( $data, $args );

		$min = \Makeaholic_Enqueue::instance()->get_min_suffix();

		wp_register_script( 'makeaholic-woo-shop-reviews', MAKEAHOLIC_THEME_URI . "/assets/js/woo/shop-reviews{$min}.js", [ 'jquery' ], MAKEAHOLIC_THEME_VERSION, true );
	}

	public function get_script_depends() {
		return [ 'makeaholic-woo-shop-reviews' ];
	}

	public function get_name() {
		return 'tm-shop-reviews';
	}

	public function get_title() {
		return esc_html__( 'Shop Reviews', 'makeaholic' );
	}

	public function get_icon_part() {
		return 'eicon-product-rating';
	}

	public function get_keywords() {
		return [ 'product', 'shop', 'product-reviews', 'shop-reviews' ];
	}

	protected function register_controls() {

	}

	protected function render() {
		$settings = $this->get_settings_for_display();

		\Makeaholic\Woo\Shop_Reviews::instance()->output_shop_reviews_html();
	}
}
