<?php
defined( 'ABSPATH' ) || exit;

/**
 * Initial OneClick import for this theme
 */
if ( ! class_exists( 'Makeaholic_Import' ) ) {
	class Makeaholic_Import {

		protected static $instance = null;

		public static function instance() {
			if ( null === self::$instance ) {
				self::$instance = new self();
			}

			return self::$instance;
		}

		public function initialize() {
			add_filter( 'insight_core_import_demos', array( $this, 'import_demos' ) );
			add_filter( 'insight_core_import_generate_thumb', '__return_false' );
			add_filter( 'insight_core_import_delete_exist_posts', '__return_true' );
		}

		public function import_demos() {
			$import_img_url = MAKEAHOLIC_THEME_URI . '/assets/import';

			return array(
				'main' => array(
					'screenshot' => MAKEAHOLIC_THEME_URI . '/screenshot.jpg',
					'name'       => esc_html__( 'Main', 'makeaholic' ),
					'url'        => 'https://www.dropbox.com/s/9z3nx702af5vjul/makeaholic-import.zip?dl=1',
				),
			);
		}
	}

	Makeaholic_Import::instance()->initialize();
}
