<?php
defined( 'ABSPATH' ) || exit;

/**
 * Plugin installation and activation for WordPress themes
 */
if ( ! class_exists( 'Makeaholic_Register_Plugins' ) ) {
	class Makeaholic_Register_Plugins {

		const GOOGLE_DRIVER_API = 'AIzaSyDXOs0Bxx-uBEA4fH4fzgoHtl64g0RWv-g';

		protected static $instance = null;

		public static function instance() {
			if ( null === self::$instance ) {
				self::$instance = new self();
			}

			return self::$instance;
		}

		function initialize() {
			add_filter( 'insight_core_tgm_plugins', array( $this, 'register_required_plugins' ) );
		}

		public function register_required_plugins( $plugins ) {
			/*
			 * Array of plugin arrays. Required keys are name and slug.
			 * If the source is NOT from the .org repo, then source is also required.
			 */
			$new_plugins = array(
				array(
					'name'     => esc_html__( 'Insight Core', 'makeaholic' ),
					'slug'     => 'insight-core',
					'source'   => $this->get_plugin_google_driver_url( '18Ed9yJ6c8uh70wokhdZg4rxBxFw3osKR' ),
					'version'  => '2.7.4',
					'required' => true,
				),
				array(
					'name'     => esc_html__( 'Elementor', 'makeaholic' ),
					'slug'     => 'elementor',
					'required' => true,
				),
				array(
					'name'        => esc_html__( 'ThemeMove Addons For Elementor', 'makeaholic' ),
					'description' => 'Additional functions for Elementor',
					'slug'        => 'tm-addons-for-elementor',
					'logo'        => 'insight',
					'source'      => $this->get_plugin_google_driver_url( '1dmecb1hqn23t7XDBPI67Z7IzGX88MTY-' ),
					'version'     => '2.0.1',
				),
				array(
					'name'    => esc_html__( 'Revolution Slider', 'makeaholic' ),
					'slug'    => 'revslider',
					'source'  => $this->get_plugin_google_driver_url( '1Lqb2AQhzkl-T1jxg2GYC-viC6TKbGa3D' ),
					'version' => '6.7.29',
				),
				array(
					'name' => esc_html__( 'Contact Form 7', 'makeaholic' ),
					'slug' => 'contact-form-7',
				),
				array(
					'name' => esc_html__( 'MailChimp for WordPress', 'makeaholic' ),
					'slug' => 'mailchimp-for-wp',
				),
				array(
					'name' => esc_html__( 'WooCommerce', 'makeaholic' ),
					'slug' => 'woocommerce',
				),
				array(
					'name'    => esc_html__( 'Insight Swatches', 'makeaholic' ),
					'slug'    => 'insight-swatches',
					'source'  => $this->get_plugin_google_driver_url( '1CPYAIyTRCzThJJosm4Y88rX3PD9lhRJn' ),
					'version' => '1.8.1',
				),
				array(
					'name' => esc_html__( 'Conditional Discounts for WooCommerce', 'makeaholic' ),
					'slug' => 'woo-advanced-discounts',
				),
				array(
					'name' => esc_html__( 'Sales Countdown Timer', 'makeaholic' ),
					'slug' => 'sales-countdown-timer',
				),
				array(
					'name'    => esc_html__( 'WooCommerce Brands Pro', 'makeaholic' ),
					'slug'    => 'woo-brand',
					'source'  => $this->get_plugin_google_driver_url( '13jqDGDfMq-q6rlSDCUyje6unvAdF09no' ),
					'version' => '4.5.1',
				),
				array(
					'name' => esc_html__( 'WPC Smart Compare for WooCommerce', 'makeaholic' ),
					'slug' => 'woo-smart-compare',
				),
				array(
					'name' => esc_html__( 'WPC Smart Wishlist for WooCommerce', 'makeaholic' ),
					'slug' => 'woo-smart-wishlist',
				),
				array(
					'name'    => esc_html__( 'WPC Frequently Bought Together for WooCommerce (Premium)', 'makeaholic' ),
					'slug'    => 'woo-bought-together-premium',
					'source'  => $this->get_plugin_google_driver_url( '1twcCmV-7oViAFknEWMLDC5oPdRIeh1-4' ),
					'version' => '7.6.0',
				),
				array(
					'name'    => esc_html__( 'WPC Product Bundles for WooCommerce (Premium)', 'makeaholic' ),
					'slug'    => 'woo-product-bundle-premium',
					'source'  => $this->get_plugin_google_driver_url( '1Dru5ZW5Ajk9Wd9kZcr9EsvnwPO9WNb8M' ),
					'version' => '8.2.2',
				),
				array(
					'name'    => esc_html__( 'WPC Product Tabs for WooCommerce (Premium)', 'makeaholic' ),
					'slug'    => 'wpc-product-tabs-premium',
					'source'  => $this->get_plugin_google_driver_url( '1jtcwQeIIntmqqOQR8gqzzr4Y9eCQ1QSV' ),
					'version' => '4.1.6',
				),
				array(
					'name' => esc_html__( 'WordPress Social Login', 'makeaholic' ),
					'slug' => 'miniorange-login-openid',
				),
				array(
					'name' => esc_html__( 'User Profile Picture', 'makeaholic' ),
					'slug' => 'metronet-profile-picture',
				),
				array(
					'name' => esc_html__( 'DCO Comment Attachment', 'makeaholic' ),
					'slug' => 'dco-comment-attachment',
				),
			);

			$plugins = array_merge( $plugins, $new_plugins );

			return $plugins;
		}

		public function get_plugin_google_driver_url( $file_id ) {
			return "https://www.googleapis.com/drive/v3/files/{$file_id}?alt=media&key=" . self::GOOGLE_DRIVER_API;
		}
	}

	Makeaholic_Register_Plugins::instance()->initialize();
}
