<?php
defined( 'ABSPATH' ) || exit;

if ( ! class_exists( 'Makeaholic_Widgets' ) ) {
	class Makeaholic_Widgets {

		protected static $instance = null;

		public static function instance() {
			if ( null === self::$instance ) {
				self::$instance = new self();
			}

			return self::$instance;
		}

		function initialize() {
			add_action( 'widgets_init', array(
				$this,
				'register_widgets',
			) );
		}

		public function register_widgets() {
			makeaholic_require_file_once( MAKEAHOLIC_WIDGETS_DIR . '/posts.php' );

			register_widget( 'Makeaholic_WP_Widget_Posts' );

			if ( Makeaholic_Woo::instance()->is_activated() ) {
				makeaholic_require_file_once( MAKEAHOLIC_WIDGETS_DIR . '/class-wc-widget-base.php' );
				makeaholic_require_file_once( MAKEAHOLIC_WIDGETS_DIR . '/product-badge.php' );
				makeaholic_require_file_once( MAKEAHOLIC_WIDGETS_DIR . '/product-banner.php' );
				makeaholic_require_file_once( MAKEAHOLIC_WIDGETS_DIR . '/product-categories-nav.php' );
				makeaholic_require_file_once( MAKEAHOLIC_WIDGETS_DIR . '/product-sorting.php' );
				makeaholic_require_file_once( MAKEAHOLIC_WIDGETS_DIR . '/product-price-filter.php' );
				makeaholic_require_file_once( MAKEAHOLIC_WIDGETS_DIR . '/product-rating-filter.php' );
				makeaholic_require_file_once( MAKEAHOLIC_WIDGETS_DIR . '/product-layered-nav.php' );
				makeaholic_require_file_once( MAKEAHOLIC_WIDGETS_DIR . '/linked-products.php' );

				register_widget( 'Makeaholic_WP_Widget_Product_Badge' );
				register_widget( 'Makeaholic_WP_Widget_Product_Banner' );
				register_widget( 'Makeaholic_WP_Widget_Product_Categories_Layered_Nav' );
				register_widget( 'Makeaholic_WP_Widget_Product_Sorting' );
				register_widget( 'Makeaholic_WP_Widget_Product_Price_Filter' );
				register_widget( 'Makeaholic_WP_Widget_Product_Rating_Filter' );
				register_widget( 'Makeaholic_WP_Widget_Product_Layered_Nav' );
				register_widget( 'Makeaholic_WP_Widget_Linked_Products' );

				if ( class_exists( 'woo_brands' ) ) {
					makeaholic_require_file_once( MAKEAHOLIC_WIDGETS_DIR . '/product-brand-nav.php' );
					register_widget( 'Makeaholic_WP_Widget_Product_Brand_Nav' );
				}
			}
		}
	}

	Makeaholic_Widgets::instance()->initialize();
}
