<?php

namespace Makeaholic\Woo;

defined( 'ABSPATH' ) || exit;

class Cart {
	protected static $instance = null;

	public static function instance() {
		if ( null === self::$instance ) {
			self::$instance = new self();
		}

		return self::$instance;
	}

	public function initialize() {
		// Check for empty-cart get param to clear the cart.
		add_action( 'init', [ $this, 'woocommerce_clear_cart_url' ] );

		add_filter( 'wc_empty_cart_message', [ $this, 'change_empty_cart_messages' ] );
	}

	public function woocommerce_clear_cart_url() {
		global $woocommerce;

		if ( isset( $_GET['empty-cart'] ) ) {
			$woocommerce->cart->empty_cart();
		}
	}

	public function change_empty_cart_messages() {
		?>
		<div class="empty-cart-messages">
			<div class="empty-cart-icon">
				<?php echo \Makeaholic_Helper::get_file_contents( MAKEAHOLIC_THEME_SVG_DIR . '/empty-cart.svg' ); ?>
			</div>
			<h2 class="empty-cart-heading"><?php esc_html_e( 'Your cart is currently empty.', 'makeaholic' ); ?></h2>
			<p class="empty-cart-text"><?php esc_html_e( 'You may check out all the available products and buy some in the shop.', 'makeaholic' ); ?></p>
		</div>
		<?php
	}
}

Cart::instance()->initialize();
