<?php

namespace Makeaholic\Woo;

defined( 'ABSPATH' ) || exit;

if ( class_exists( 'SALES_COUNTDOWN_TIMER_Frontend_Single_Product' ) ) {
	class Sales_Countdown_Timer extends \SALES_COUNTDOWN_TIMER_Frontend_Single_Product {
		/*protected $settings;
		protected $return;
		protected $progress_bar_html;
		protected $id;
		protected $index;
		protected $position;
		protected $sale_from_date;
		protected $sale_from_time;
		protected $sale_to_date;
		protected $sale_to_time;*/

		protected static $instance = null;

		public static function instance() {
			if ( null === self::$instance ) {
				self::$instance = new self();
			}

			return self::$instance;
		}

		public function __construct() {
			parent::__construct();

			makeaholic_remove_filters_for_anonymous_class( 'woocommerce_before_add_to_cart_form', 'SALES_COUNTDOWN_TIMER_Frontend_Single_Product', 'countdown_cart_before' );
		}

		public function initialize() {
			if ( ! $this->is_activate() ) {
				return;
			}

			makeaholic_remove_filters_for_anonymous_class( 'woocommerce_before_add_to_cart_form', 'SALES_COUNTDOWN_TIMER_Frontend_Single_Product', 'countdown_cart_before' );
			add_action( 'woocommerce_before_add_to_cart_form', [ $this, 'makeaholic_countdown_timer' ] );
		}

		public function is_activate() {
			if ( class_exists( 'SALES_COUNTDOWN_TIMER' ) ) {
				return true;
			}

			return false;
		}

		public function makeaholic_countdown_timer() {
			global $product;

			$countdown_timer = do_shortcode( '[sales_countdown_timer enable_single_product="1" id="' . $this->id . '" sale_from_date="' . $this->sale_from_date . '" sale_from_time="' . $this->sale_from_time . '" sale_to_date="' . $this->sale_to_date . '" sale_to_time="' . $this->sale_to_time . '"]' );

			$countdown_timer_title = apply_filters( 'makeaholic/single_product/sales_countdown_timer/title_text', __( 'Extra Sale %1$s%% Off', 'makeaholic' ) );
			?>
			<div class="woo-sctr-single-product-container makeaholic">
				<?php if ( ! empty( $countdown_timer_title ) && $product->is_on_sale() ) : ?>
					<?php $sale_percentage = \Makeaholic_Woo::instance()->get_product_price_saving_percentage(); ?>

					<h5><?php echo esc_html( sprintf( $countdown_timer_title, $sale_percentage ) ); ?></h5>
				<?php endif; ?>

				<?php if ( 'above_countdown' === $this->settings->get_progress_bar_position()[ $this->index ] ) : ?>
					<?php echo '' . $this->progress_bar_html . $countdown_timer; ?>
				<?php else: ?>
					<?php echo '' . $countdown_timer . $this->progress_bar_html; ?>
				<?php endif; ?>
			</div>
			<?php
		}
	}

	Sales_Countdown_Timer::instance()->initialize();
}
