<?php

namespace Makeaholic\Woo;

defined( 'ABSPATH' ) || exit;

class Sidebar {
	protected static $instance = null;

	public static function instance() {
		if ( null === self::$instance ) {
			self::$instance = new self();
		}

		return self::$instance;
	}

	public function initialize() {
		add_action( 'makeaholic/register_sidebars', [ $this, 'register_sidebars' ] );

		// Different style for sidebar.
		add_filter( 'makeaholic/page_sidebar/class', [ $this, 'sidebar_class' ] );
	}

	public function register_sidebars( $defaults ) {
		register_sidebar( array_merge( $defaults, array(
			'id'          => 'shop_filters',
			'name'        => esc_html__( 'Shop Filters', 'makeaholic' ),
			'description' => esc_html__( 'Add widgets here.', 'makeaholic' ),
		) ) );

		register_sidebar( array_merge( $defaults, array(
			'id'          => 'shop_sidebar',
			'name'        => esc_html__( 'Shop Sidebar', 'makeaholic' ),
			'description' => esc_html__( 'Add widgets here.', 'makeaholic' ),
		) ) );

		register_sidebar( array_merge( $defaults, array(
			'id'          => 'single_shop_sidebar',
			'name'        => esc_html__( 'Single Product Sidebar', 'makeaholic' ),
			'description' => esc_html__( 'Add widgets here.', 'makeaholic' ),
		) ) );

		/**
		 * Alt sidebar for product page.
		 */
		register_sidebar( array_merge( $defaults, array(
			'id'          => 'single_shop_sidebar2',
			'name'        => esc_html__( 'Single Product Sidebar 2', 'makeaholic' ),
			'description' => esc_html__( 'Add widgets here.', 'makeaholic' ),
		) ) );

		register_sidebar( array_merge( $defaults, array(
			'id'          => 'off_sidebar',
			'name'        => esc_html__( 'Off Sidebar', 'makeaholic' ),
			'description' => esc_html__( 'Add widgets here.', 'makeaholic' ),
		) ) );
	}

	public function sidebar_class( $classes ) {
		if ( is_product() ) {
			$sidebar_style = \Makeaholic::setting( 'product_page_sidebar_style' );

			if ( ! empty( $sidebar_style ) ) {
				$classes[] = 'style-' . $sidebar_style;
			}
		}

		return $classes;
	}
}

Sidebar::instance()->initialize();
