<?php
/**
 * Define constants.
 */
$theme = wp_get_theme();

if ( ! empty( $theme['Template'] ) ) {
	$theme = wp_get_theme( $theme['Template'] );
}

define( 'MAKEAHOLIC_THEME_NAME', $theme['Name'] );
define( 'MAKEAHOLIC_THEME_VERSION', $theme['Version'] );
define( 'MAKEAHOLIC_THEME_DIR', get_template_directory() );
define( 'MAKEAHOLIC_THEME_URI', get_template_directory_uri() );
define( 'MAKEAHOLIC_THEME_ASSETS_DIR', get_template_directory() . '/assets' );
define( 'MAKEAHOLIC_THEME_ASSETS_URI', get_template_directory_uri() . '/assets' );
define( 'MAKEAHOLIC_THEME_IMAGE_URI', MAKEAHOLIC_THEME_ASSETS_URI . '/images' );
define( 'MAKEAHOLIC_THEME_SVG_DIR', MAKEAHOLIC_THEME_ASSETS_DIR . '/svg' );
define( 'MAKEAHOLIC_FRAMEWORK_DIR', get_template_directory() . DIRECTORY_SEPARATOR . 'framework' );
define( 'MAKEAHOLIC_WIDGETS_DIR', get_template_directory() . DIRECTORY_SEPARATOR . 'widgets' );
define( 'MAKEAHOLIC_CUSTOMIZER_DIR', MAKEAHOLIC_THEME_DIR . DIRECTORY_SEPARATOR . 'customizer' );
define( 'MAKEAHOLIC_PROTOCOL', is_ssl() ? 'https' : 'http' );
define( 'MAKEAHOLIC_IS_RTL', is_rtl() ? true : false );

define( 'MAKEAHOLIC_ELEMENTOR_DIR', get_template_directory() . DIRECTORY_SEPARATOR . 'elementor' );
define( 'MAKEAHOLIC_ELEMENTOR_URI', get_template_directory_uri() . '/elementor' );
define( 'MAKEAHOLIC_ELEMENTOR_ASSETS', get_template_directory_uri() . '/elementor/assets' );

/**
 * Load required functions
 */

/**
 * @param string $file_path File path to valid.
 *
 * @return mixed
 */
function makeaholic_valid_file_path( $file_path ) {
	return str_replace( '/', DIRECTORY_SEPARATOR, $file_path );
}

/**
 * @param string $file_path File path to include.
 */
function makeaholic_require_file_once( $file_path ) {
	$file_path = makeaholic_valid_file_path( $file_path );

	require_once $file_path;
}

/**
 * Load Frameworks.
 */
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-functions.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-helper.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-debug.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-google-manager.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-aqua-resizer.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-performance.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-static.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-init.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-global.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-actions-filters.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-kses.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-notices.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-admin.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-nav-menu-item.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-compatible.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-customize.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-nav-menu.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-enqueue.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-image.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-minify.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-color.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-import.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-kirki.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-metabox.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-plugins.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-custom-css.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-templates.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-walker-nav-menu.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-widget.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-widgets.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-top-bar.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-header.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-title-bar.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-sidebar.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-footer.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-post-type.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-post-type-blog.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-woo.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/tgm-plugin-activation.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/tgm-plugin-registration.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-tha.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-popup.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-login-register.php' );
makeaholic_require_file_once( MAKEAHOLIC_FRAMEWORK_DIR . '/class-upload.php' );

makeaholic_require_file_once( MAKEAHOLIC_ELEMENTOR_DIR . '/class-entry.php' );

/**
 * Init the theme
 */
Makeaholic_Init::instance()->initialize();
