<?php
while ( $makeaholic_query->have_posts() ) :
	$makeaholic_query->the_post();
	$classes = array( 'grid-item', 'post-item' );
	?>
	<div <?php post_class( implode( ' ', $classes ) ); ?>>
		<div class="post-wrapper makeaholic-box">

			<?php if ( has_post_thumbnail() ) { ?>
				<div class="post-thumbnail-wrapper">
					<div class="post-feature post-thumbnail makeaholic-image">
						<a href="<?php the_permalink(); ?>">
							<?php
							$size = Makeaholic_Image::elementor_parse_image_size( $settings, '480x325' );
							Makeaholic_Image::the_post_thumbnail( array( 'size' => $size ) );
							?>
						</a>
					</div>
				</div>
			<?php } ?>

			<?php if ( 'yes' === $settings['show_caption'] ) : ?>
				<div class="post-caption">
					<?php if ( 'yes' === $settings['show_caption_category'] ) : ?>
						<?php Makeaholic_Post::instance()->the_categories( array(
							'classes'   => 'post-overlay-categories',
							'separator' => '',
						) ); ?>
					<?php endif; ?>

					<?php makeaholic_load_template( 'blog/loop/title-collapsed' ); ?>

					<?php if ( ! empty( $settings['show_caption_meta'] ) ) : ?>
						<?php $meta = $settings['show_caption_meta']; ?>
						<div class="post-meta">
							<div class="inner">
								<?php if ( in_array( 'author', $meta, true ) ): ?>
									<?php Makeaholic_Post::instance()->meta_author_template(); ?>
								<?php endif; ?>

								<?php if ( in_array( 'date', $meta, true ) ): ?>
									<?php Makeaholic_Post::instance()->meta_date_template(); ?>
								<?php endif; ?>

								<?php if ( in_array( 'views', $meta, true ) ): ?>
									<?php Makeaholic_Post::instance()->meta_view_count_template(); ?>
								<?php endif; ?>

								<?php if ( in_array( 'comments', $meta, true ) ): ?>
									<?php Makeaholic_Post::instance()->meta_comment_count_template(); ?>
								<?php endif; ?>
							</div>
						</div>
					<?php endif; ?>

					<?php if ( 'yes' === $settings['show_caption_excerpt'] ) : ?>
						<?php
						if ( empty( $settings['excerpt_length'] ) ) {
							$settings['excerpt_length'] = 11;
						}
						?>
						<div class="post-excerpt">
							<?php Makeaholic_Templates::excerpt( array(
								'limit' => $settings['excerpt_length'],
								'type'  => 'word',
							) ); ?>
						</div>
					<?php endif; ?>

					<?php if ( 'yes' === $settings['show_caption_read_more'] ): ?>
						<?php
						$read_more_text = ! empty( $settings['read_more_text'] ) ? $settings['read_more_text'] : esc_html__( 'Read more', 'makeaholic' );

						Makeaholic_Templates::render_button( [
							'style'         => 'bottom-line-winding',
							'text'          => $read_more_text,
							'link'          => [
								'url' => get_the_permalink(),
							],
							'size'          => 'nm',
							'wrapper_class' => 'post-read-more',
						] );
						?>
					<?php endif; ?>
				</div>
			<?php endif; ?>
		</div>
	</div>
<?php endwhile;
