<?php
while ( $makeaholic_query->have_posts() ) :
	$makeaholic_query->the_post();
	$classes = array( 'grid-item', 'post-item' );
	?>
	<div <?php post_class( implode( ' ', $classes ) ); ?>>
		<div class="post-wrapper makeaholic-box">
			<div class="post-thumbnail-wrapper">
				<?php if ( has_post_thumbnail() ) { ?>
					<div class="post-feature post-thumbnail makeaholic-image">
						<a href="<?php the_permalink(); ?>">
							<?php Makeaholic_Post::instance()->entry_feature(); ?>
						</a>
					</div>
				<?php } ?>
			</div>

			<?php if ( 'yes' === $settings['show_caption'] ) : ?>
				<div class="post-caption">
					<?php if ( 'yes' === $settings['show_caption_category'] ) : ?>
						<?php Makeaholic_Post::instance()->the_categories( array(
							'classes'   => 'post-overlay-categories',
							'separator' => '',
							'single'    => false,
						) ); ?>
					<?php endif; ?>

					<h3 class="post-title">
						<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
					</h3>

					<?php if ( ! empty( $settings['show_caption_meta'] ) ) : ?>
						<?php $meta = $settings['show_caption_meta']; ?>
						<div class="post-meta">
							<div class="inner">
								<?php if ( in_array( 'author', $meta, true ) ): ?>
									<?php Makeaholic_Post::instance()->meta_author_template(); ?>
								<?php endif; ?>

								<?php if ( in_array( 'date', $meta, true ) ): ?>
									<?php Makeaholic_Post::instance()->meta_date_template(); ?>
								<?php endif; ?>

								<?php if ( in_array( 'views', $meta, true ) ): ?>
									<?php Makeaholic_Post::instance()->meta_view_count_template(); ?>
								<?php endif; ?>

								<?php if ( in_array( 'comments', $meta, true ) ): ?>
									<?php Makeaholic_Post::instance()->meta_comment_count_template(); ?>
								<?php endif; ?>
							</div>
						</div>
					<?php endif; ?>

					<?php if ( 'yes' === $settings['show_caption_excerpt'] ) : ?>
						<?php
						if ( empty( $settings['excerpt_length'] ) ) {
							$settings['excerpt_length'] = 42;
						}
						?>
						<div class="post-excerpt">
							<?php Makeaholic_Templates::excerpt( array(
								'limit' => $settings['excerpt_length'],
								'type'  => 'word',
							) ); ?>
						</div>
					<?php endif; ?>

					<?php if ( 'yes' === $settings['show_caption_read_more'] ): ?>
						<div class="post-footer">
							<?php
							$read_more_text = ! empty( $settings['read_more_text'] ) ? $settings['read_more_text'] : esc_html__( 'Read more', 'makeaholic' );

							Makeaholic_Templates::render_button( [
								'text'          => $read_more_text,
								'link'          => [
									'url' => get_the_permalink(),
								],
								'size'          => 'nm',
								'wrapper_class' => 'post-read-more',
								'extra_class'   => 'button-black',
							] );
							?>
						</div>
					<?php endif; ?>
				</div>
			<?php endif; ?>


		</div>
	</div>
<?php endwhile;
