<?php
/**
 * The template for displaying content blog list item.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Makeaholic
 * @since   1.0
 */

defined( 'ABSPATH' ) || exit;
?>

<div class="post-wrapper makeaholic-box">
	<?php if ( has_post_thumbnail() ) { ?>
		<div class="post-thumbnail-wrapper">
			<div class="post-feature post-thumbnail makeaholic-image">
				<a href="<?php the_permalink(); ?>">
					<?php Makeaholic_Image::the_post_thumbnail( array( 'size' => '540x330' ) ); ?>
				</a>

				<?php Makeaholic_Post::instance()->the_categories( array(
					'classes'   => 'post-overlay-categories',
					'separator' => '',
					'single'    => false,
				) ); ?>
			</div>
		</div>
	<?php } ?>

	<div class="post-caption">
		<?php makeaholic_load_template( 'blog/loop/title' ); ?>

		<?php makeaholic_load_template( 'blog/loop/meta-alt' ); ?>

		<?php makeaholic_load_template( 'blog/loop/excerpt' ); ?>

		<div class="post-footer">
			<?php makeaholic_load_template( 'blog/loop/read-more-text' ); ?>
		</div>
	</div>

</div>
