<?php
/**
 * The template for displaying content blog grid item.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Makeaholic
 * @since   1.0
 */

defined( 'ABSPATH' ) || exit;

$image_size = Makeaholic::setting( 'blog_archive_grid_image_size', '480x585' );

if ( 'custom' === $image_size ) {
	$width  = intval( Makeaholic::setting( 'blog_archive_grid_image_size_width' ) );
	$height = intval( Makeaholic::setting( 'blog_archive_grid_image_size_width' ) );

	if ( empty( $width ) ) {
		$width = 9999;
	}

	if ( empty( $height ) ) {
		$height = 9999;
	}

	$image_size = "{$width}x{$height}";
}
?>

<div class="post-wrapper makeaholic-box">
	<?php if ( has_post_thumbnail() ) { ?>
		<div class="post-thumbnail-wrapper">
			<div class="post-feature post-thumbnail makeaholic-image">
				<a href="<?php the_permalink(); ?>">
					<?php Makeaholic_Image::the_post_thumbnail( array( 'size' => $image_size ) ); ?>
				</a>
			</div>
		</div>
	<?php } ?>
	<div class="post-caption">
		<?php Makeaholic_Post::instance()->the_categories( array(
			'classes'   => 'post-overlay-categories',
			'separator' => ' ',
		) ); ?>

		<?php makeaholic_load_template( 'blog/loop/title-collapsed' ); ?>

		<?php makeaholic_load_template( 'blog/loop/read-more-text' ); ?>
	</div>
</div>
