<?php
$number_post = Makeaholic::setting( 'single_post_related_number' );
$results     = Makeaholic_Post::instance()->get_related_posts( array(
	'post_id'      => get_the_ID(),
	'number_posts' => $number_post,
) );

if ( $results !== false && $results->have_posts() ) : ?>
	<div
		class="related-posts makeaholic-blog makeaholic-blog-grid makeaholic-blog-caption-style-01 makeaholic-animation-zoom-in">
		<h3 class="related-title">
			<?php esc_html_e( 'Related Posts', 'makeaholic' ); ?>
		</h3>
		<div class="tm-swiper tm-slider"
		     data-items-desktop="3"
		     data-gutter-desktop="30"
		     data-items-mobile="2"
		     data-nav="1"
		     data-auto-height="1"
		     data-slides-per-group="inherit"
		>
			<div class="swiper-inner">
				<div class="swiper">
					<div class="swiper-wrapper">
						<?php while ( $results->have_posts() ) : $results->the_post(); ?>
							<div class="swiper-slide">
								<div <?php post_class( 'related-post-item post-item' ); ?>>

									<div class="post-wrapper makeaholic-box">

										<div class="post-thumbnail-wrapper">
											<?php if ( has_post_thumbnail() ) { ?>
												<div class="post-feature post-thumbnail makeaholic-image">
													<a href="<?php the_permalink(); ?>">
														<?php Makeaholic_Image::the_post_thumbnail( array( 'size' => '340x244' ) ); ?>
													</a>
												</div>
											<?php } ?>
										</div>

										<div class="post-caption">
											<?php Makeaholic_Post::instance()->the_categories( array(
												'classes'   => 'post-overlay-categories',
												'separator' => ' ',
											) ); ?>

											<?php makeaholic_load_template( 'blog/loop/title-collapsed' ); ?>

											<?php makeaholic_load_template( 'blog/loop/read-more-text' ); ?>
										</div>

									</div>

								</div>
							</div>
						<?php endwhile; ?>
						<?php wp_reset_postdata(); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php endif;
