<?php
/**
 * Template part for displaying single post for Fullwidth style.
 *
 * @link    https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Makeaholic
 * @since   1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
		<div class="post-feature-full"
		     style="background-image: url('<?php Makeaholic_Image::the_post_thumbnail_url(); ?>')"
		>
		</div>
	<?php } ?>

	<div class="entry-header">
		<div class="entry-header-content">
			<?php Makeaholic_Post::instance()->entry_categories(); ?>

			<?php if ( '1' === Makeaholic::setting( 'single_post_title_enable' ) ) : ?>
				<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
			<?php endif; ?>

			<?php makeaholic_load_template( 'blog/single/meta' ); ?>
		</div>
	</div>

	<div class="entry-post-wrap">
		<article id="post-<?php the_ID(); ?>" <?php post_class( 'entry-wrapper' ); ?>>

			<h2 class="screen-reader-text"><?php echo esc_html( get_the_title() ); ?></h2>

			<div class="entry-content">
				<?php
				the_content( sprintf( /* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'makeaholic' ), array( 'span' => array( 'class' => array() ) ) ), the_title( '<span class="screen-reader-text">"', '"</span>', false ) ) );

				Makeaholic_Templates::page_links();
				?>
			</div>

			<div class="entry-footer">
				<?php Makeaholic_Post::instance()->entry_tags(); ?>
				<?php Makeaholic_Post::instance()->entry_share(); ?>
			</div>

		</article>
		<?php
		$author_desc = get_the_author_meta( 'description' );
		if ( '1' === Makeaholic::setting( 'single_post_author_box_enable' ) && ! empty( $author_desc ) ) {
			Makeaholic_Templates::post_author();
		}

		if ( '1' === Makeaholic::setting( 'single_post_pagination_enable' ) ) {
			Makeaholic_Post::instance()->nav_page_links();
		}

		if ( Makeaholic::setting( 'single_post_related_enable' ) ) {
			makeaholic_load_template( 'blog/single/related' );
		}

		// If comments are open or we have at least one comment, load up the comment template.
		if ( '1' === Makeaholic::setting( 'single_post_comment_enable' ) && ( comments_open() || get_comments_number() ) ) :
			comments_template();
		endif; ?>
	</div>
</article>
