<?php
/**
 * Canvas menu toggle button on header
 *
 * @package Makeaholic
 * @since   1.0.0
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;

$classes = "header-icon page-open-main-menu style-{$args['style']}";

if ( ! empty( $args['extra_class'] ) ) {
	$classes .= " {$args['extra_class']}";
}

$title = Makeaholic::setting( 'navigation_minimal_01_menu_title' );
?>
<div id="page-open-main-menu" class="<?php echo esc_attr( $classes ); ?>">
	<div class="burger-icon">
		<span class="burger-icon-top"></span>
		<span class="burger-icon-bottom"></span>
	</div>

	<?php if ( ! empty( $title ) ) : ?>
		<div class="burger-title"><?php echo esc_html( $title ); ?></div>
	<?php endif; ?>
</div>
