<?php
/**
 * Login button on header
 *
 * @package Makeaholic
 * @since   1.0.0
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;

$login_popup = Makeaholic::setting( 'login_popup_enable' );

$link_classes = 'header-icon header-login-link';
$link_classes .= ' style-' . $args['style'];

if ( is_user_logged_in() ) {
	$button_text = __( 'Log out', 'makeaholic' );
	$button_url  = wp_logout_url();

	$button_text = apply_filters( 'makeaholic/user_profile/text', $button_text );
	$button_url  = apply_filters( 'makeaholic/user_profile/url', $button_url );
} else {
	$button_text = __( 'Log in', 'makeaholic' );
	$button_url  = wp_login_url();

	$button_text = apply_filters( 'makeaholic/user_login/text', $button_text );
	$button_url  = apply_filters( 'makeaholic/user_login/url', $button_url );

	/**
	 * Force remove link.
	 */
	if ( '1' === $login_popup ) {
		$button_url   = '#';
		$link_classes .= ' open-popup-login';
	}
}

if ( empty( $button_text ) || empty( $button_url ) ) {
	return;
}
?>

<a href="<?php echo esc_url( $button_url ); ?>" class="<?php echo esc_attr( $link_classes ); ?>">
	<span class="button-icon"><i class="ph-user"></i></span>

	<?php if ( 'text' === $args['style'] ): ?>
		<span class="button-text"><?php echo esc_html( $button_text ); ?></span>
	<?php endif; ?>
</a>
