<?php
/**
 * Template part for display lost password form on popup.
 *
 * @link      https://codex.wordpress.org/Template_Hierarchy
 *
 * @package   Makeaholic
 * @since     1.0.0
 * @version   1.0.0
 */

defined( 'ABSPATH' ) || exit;
?>
<div class="popup-content-header">
	<div class="popup-title-shape">
		<img src="<?php echo esc_url( MAKEAHOLIC_THEME_IMAGE_URI . '/form-user-leaf.png' ); ?>"
		     alt="<?php esc_attr_e( 'Popup Shape', 'makeaholic' ); ?>"
		     class="shape-leaf"
		>
	</div>
	<h3 class="popup-title"><?php esc_html_e( 'Lost your password?', 'makeaholic' ); ?></h3>
	<p class="popup-description">
		<?php esc_html_e( 'Please enter your username or email address. You will receive a link to create a new password via email.', 'makeaholic' ); ?>
		<?php printf( esc_html__( 'Remember now? %1$sBack to login%2$s', 'makeaholic' ), '<a href="#" class="open-popup-login link-transition-01">', '</a>' ); ?>
	</p>
</div>

<div class="popup-content-body">
	<form id="makeaholic-lost-password-form" class="makeaholic-lost-password-form" method="post">

		<?php do_action( 'makeaholic/popup_user_lost_password/before_form_fields' ); ?>

		<div class="form-group">
			<label for="lost_password_user_login"
			       class="form-label"><?php esc_html_e( 'Username or email', 'makeaholic' ); ?></label>
			<input type="text" id="lost_password_user_login" class="form-control form-input" name="user_login"
			       placeholder="<?php esc_attr_e( 'Your username or email', 'makeaholic' ); ?>" required/>
		</div>

		<?php do_action( 'makeaholic/popup_user_lost_password/after_form_fields' ); ?>

		<div class="form-response-messages"></div>

		<div class="form-group">
			<?php wp_nonce_field( 'user_reset_password', 'user_reset_password_nonce' ); ?>
			<input type="hidden" name="action" value="makeaholic_user_reset_password">
			<button type="submit"
			        class="button form-submit"><?php esc_html_e( 'Reset password', 'makeaholic' ); ?></button>
		</div>
	</form>
</div>
