<?php
/**
 * Checkout login form
 *
 * This template can be overridden by copying it to makeaholic-child/woocommerce/checkout/form-login.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.8.0
 */

defined( 'ABSPATH' ) || exit;

if ( is_user_logged_in() || 'no' === get_option( 'woocommerce_enable_checkout_login_reminder' ) ) {
	return;
}

$popup_login_on      = Makeaholic::setting( 'login_popup_enable' );
$toggle_link_classes = 'link-transition-02';

if ( '1' === $popup_login_on ) {
	$toggle_link_classes .= ' open-popup-login';
} else {
	$toggle_link_classes .= ' showlogin';
}
?>
	<div class="woocommerce-form-login-toggle">
		<?php echo apply_filters( 'woocommerce_checkout_login_message', esc_html__( 'Returning customer?', 'makeaholic' ) ) . ' <a href="#" class="' . esc_attr( $toggle_link_classes ) . '">' . esc_html__( 'Click here to login', 'makeaholic' ) . '</a>' ?>
	</div>
<?php
if ( '1' !== $popup_login_on ) {
	woocommerce_login_form(
		array(
			'message'  => esc_html__( 'If you have shopped with us before, please enter your details below. If you are a new customer, please proceed to the Billing section.', 'makeaholic' ),
			'redirect' => wc_get_checkout_url(),
			'hidden'   => true,
		)
	);
}
