<?php
/**
 * Before Product Loop Start
 */

defined( 'ABSPATH' ) || exit;

$layout             = Makeaholic_Woo::instance()->get_shop_layout();
$archive_grid_style = Makeaholic::setting( 'shop_archive_grid_style' );

$classes = [
	'makeaholic-main-post',
	'makeaholic-grid-wrapper',
	'makeaholic-product',
];

if ( 'list' === $layout ) {
	$classes[] = 'style-list';

	$grid_class = 'makeaholic-grid grid-sm-1';

	$grid_options = [
		'type'    => 'grid',
		'columns' => 1,
	];
} else {
	if ( in_array( $archive_grid_style, [ 'grid-01', 'grid-03' ], true ) ) {
		$classes[] = "group-style-01";
	}
	if ( in_array( $archive_grid_style, [ 'grid-02' ], true ) ) {
		$classes[] = "group-style-02";
	}
	$classes[] = "style-{$archive_grid_style}";

	$grid_class = 'modern-grid';
	$sm_columns = intval( Makeaholic::setting( 'shop_archive_sm_columns', 2 ) );
	$md_columns = Makeaholic::setting( 'shop_archive_md_columns', 3 );
	$lg_columns = Makeaholic::setting( 'shop_archive_lg_columns', 4 );

	$sm_gutter = intval( Makeaholic::setting( 'shop_archive_sm_gutter', 10 ) );
	$md_gutter = Makeaholic::setting( 'shop_archive_md_gutter', 20 );
	$lg_gutter = Makeaholic::setting( 'shop_archive_lg_gutter', 30 );

	if ( 'none' !== Makeaholic_Global::instance()->get_sidebar_status() ) {
		$lg_columns --;
	}

	$grid_class .= " grid-lg-{$lg_columns}";
	$grid_class .= " grid-md-{$md_columns}";
	$grid_class .= " grid-xs-{$sm_columns}";
}
?>
<div class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>">
	<div class="<?php echo esc_attr( $grid_class ); ?>"
		<?php if ( 'list' !== $layout ) { ?>
			style="--grid-gutter-desktop: <?php echo esc_attr( $lg_gutter ); ?>px;--grid-gutter-tablet: <?php echo esc_attr( $md_gutter ); ?>px;--grid-gutter-mobile: <?php echo esc_attr( $sm_gutter ); ?>px;"
		<?php } ?>
	>
