<?php
/**
 * Single Product Rating
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/rating.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

if ( ! wc_review_ratings_enabled() ) {
	return;
}

$rating_count = $product->get_rating_count();
$review_count = $product->get_review_count();
$average      = $product->get_average_rating();
?>

<div class="woocommerce-product-rating">
	<?php if ( $review_count > 0 ) : ?>
		<div class="review-rating-average"><?php echo esc_html( $average ); ?></div>
	<?php endif; ?>
	<?php Makeaholic_Templates::render_rating( $average, [
		'wrapper_class' => 'entry-product-star-rating',
	] ); ?>

	<?php
	$is_comment_open = comments_open();

	if ( $review_count > 0 && $is_comment_open ) {
		$review_html = _n( 'Read %s review', 'Read %s reviews', $review_count, 'makeaholic' );
	} else {
		$review_html = _n( '%s review', '%s reviews', $review_count, 'makeaholic' );
	}

	$review_html = sprintf( $review_html, '<span class="count">' . esc_html( $review_count ) . '</span>' );

	if ( comments_open() ) :
		$review_html = '<a href="#reviews" class="woocommerce-review-link smooth-scroll-link">' . $review_html . '</a>';
	endif;

	Makeaholic_Helper::e( $review_html );
	?>
</div>
