<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     9.6.0
 */

defined( 'ABSPATH' ) || exit;

if ( empty( $related_products ) ) {
	return;
}

$lg_items = 4;

$site_layout = Makeaholic::setting( 'single_product_site_layout' );
if ( 'wide' === $site_layout ) {
	$lg_items++;
}
?>
<div class="related products">
	<div class="container">
		<?php
		$heading = apply_filters( 'woocommerce_product_related_products_heading', __( 'Related products', 'makeaholic' ) );

		if ( $heading ) :
			?>
			<h2 class="product-section-heading"><?php echo esc_html( $heading ); ?></h2>
		<?php endif; ?>

		<div class="tm-swiper tm-slider makeaholic-product group-style-01 style-carousel-01"
		     data-items-desktop="<?php echo esc_attr( $lg_items ); ?>"
		     data-items-tablet="3"
		     data-items-mobile="2"
		     data-gutter-desktop="30"
		     data-gutter-tablet="20"
		     data-gutter-mobile="16"
		     data-nav="1"
		>
			<div class="swiper-inner">
				<div class="swiper">
					<div class="swiper-wrapper">
						<?php foreach ( $related_products as $related_product ) : ?>

							<?php
							$post_object = get_post( $related_product->get_id() );
							setup_postdata( $GLOBALS['post'] = $post_object ); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found
							?>
							<?php wc_get_template_part( 'content', 'product-carousel-01' ); ?>

						<?php endforeach; ?>
						<?php wp_reset_postdata(); ?>
					</div>
				</div>
			</div>
		</div>

	</div>
</div>
